/* File generated by: simse.codegenerator.explanatorytoolgenerator.ActionInfoPanelGenerator */
package simse.explanatorytool;

import simse.adts.actions.*;
import simse.adts.objects.*;

import javax.swing.*;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import java.awt.Dimension;
import java.util.Vector;

public class ActionInfoPanel extends JPanel implements ListSelectionListener {
private simse.adts.actions.Action action; // action in focus

private JList triggerList; // for choosing which trigger show
private JList destroyerList; // for choosing which destroyer to show
private JTextArea descriptionArea; // for displaying a trigger/destroyer description
private JTextArea actionDescriptionArea; // for displaying the action description

private final int TRIGGER = 0;
private final int DESTROYER = 1;

public ActionInfoPanel(simse.adts.actions.Action action) {
this.action = action;

// Create main panel (box):
Box mainPane = Box.createVerticalBox();
mainPane.setPreferredSize(new Dimension(900, 550));

// Create actionDescription pane and components:
Box actionDescriptionPane = Box.createVerticalBox();
JPanel actionDescriptionTitlePane = new JPanel();
actionDescriptionTitlePane.add(new JLabel("ActionDescription:"));
actionDescriptionPane.add(actionDescriptionTitlePane);
actionDescriptionArea = new JTextArea(1, 50);
actionDescriptionArea.setLineWrap(true);
actionDescriptionArea.setWrapStyleWord(true);
actionDescriptionArea.setEditable(false);
JScrollPane actionDescriptionScrollPane = new JScrollPane(actionDescriptionArea, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
initializeActionDescription();
actionDescriptionPane.add(actionDescriptionScrollPane);

// Create participants pane and components:
Box participantsPane = Box.createVerticalBox();
JPanel participantsTitlePane = new JPanel();
participantsTitlePane.add(new JLabel("Participants:"));
participantsPane.add(participantsTitlePane);

// participants table:
JScrollPane participantsTablePane = new JScrollPane(createParticipantsTable());
participantsTablePane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
participantsTablePane.setPreferredSize(new Dimension(900, 125));
participantsPane.add(participantsTablePane);

// Create triggerDestroyer pane and components:
JPanel triggerDestroyerPane = new JPanel();

// list pane:
Box listPane = Box.createVerticalBox();

// trigger list:
JPanel triggerListTitlePane = new JPanel();
triggerListTitlePane.add(new JLabel("Triggers:"));
listPane.add(triggerListTitlePane);
triggerList = new JList();
triggerList.setVisibleRowCount(3);
triggerList.setFixedCellWidth(400);
triggerList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
triggerList.addListSelectionListener(this);
initializeTriggerList();
JScrollPane triggerListPane = new JScrollPane(triggerList);
listPane.add(triggerListPane);

// destroyer list:
JPanel destroyerListTitlePane = new JPanel();
destroyerListTitlePane.add(new JLabel("Destroyers:"));
listPane.add(destroyerListTitlePane);
destroyerList = new JList();
destroyerList.setVisibleRowCount(3);
destroyerList.setFixedCellWidth(400);
destroyerList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
destroyerList.addListSelectionListener(this);
initializeDestroyerList();
JScrollPane destroyerListPane = new JScrollPane(destroyerList);
listPane.add(destroyerListPane);

triggerDestroyerPane.add(listPane);

// description pane:
Box descriptionPane = Box.createVerticalBox();
JPanel descriptionTitlePane = new JPanel();
descriptionTitlePane.add(new JLabel("Description:"));
descriptionPane.add(descriptionTitlePane);

// description text area:
descriptionArea = new JTextArea(9, 30);
descriptionArea.setLineWrap(true);
descriptionArea.setWrapStyleWord(true);
descriptionArea.setEditable(false);
JScrollPane descriptionScrollPane = new JScrollPane(descriptionArea, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
descriptionPane.add(descriptionScrollPane);

triggerDestroyerPane.add(descriptionPane);

// Add panes to main pane:
mainPane.add(actionDescriptionPane);
mainPane.add(participantsPane);
mainPane.add(triggerDestroyerPane);
add(mainPane);

// Set main window frame properties:
setOpaque(true);
validate();
repaint();
}

// responds to list selections
public void valueChanged(ListSelectionEvent e) {
if (e.getSource() == triggerList && triggerList.getSelectedIndex() >= 0) {
refreshDescriptionArea(TRIGGER);

// clear selection for destroyer list:
destroyerList.clearSelection();

}
else if (e.getSource() == destroyerList && destroyerList.getSelectedIndex() >= 0) {
refreshDescriptionArea(DESTROYER);

// clear selection for trigger list:
triggerList.clearSelection();
}
}

// initializes the action description
private void initializeActionDescription() {
String text = "";
if (action instanceof BeginInceptionPhaseAction) {
text = "The Inception phase officially begins.";
}else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
text = "Employees are assigned to work on the Inception phase.";
}else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
text = "The employees meet with the customer for the purpose of defining the scope and overall, high-level requirements for the project, as well as creating the project plan.";
}else if (action instanceof StartIterationAction) {
text = "A new iteration is started.";
}else if (action instanceof EndIterationAction) {
text = "The current iteration is ended.";
}else if (action instanceof AssessInceptionPhaseAction) {
text = "The engineers assess how the inception phase went, including the number of use cases they constructed and their budget and schedule.";
}else if (action instanceof PlanForElaborationPhaseAction) {
text = "The engineers create a plan for the Elaboration phase.";
}else if (action instanceof EndInceptionPhaseAction) {
text = "The Inception phase officially ends.";
}else if (action instanceof BeginElaborationPhaseAction) {
text = "The Elaboration phase officially begins.";
}else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
text = "Employees are assigned to work on the Elaboration phase.";
}else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
text = "The engineers meet with the customer to elicit more detailed requirements and add to their use-case model.";
}else if (action instanceof DevelopArchitecturalPrototypeAction) {
text = "The engineers develop an architectural prototype of the system.";
}else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
text = "The engineers meet with the customer to try to discover more requirements.";
}else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
text = "The engineers develop an architectural prototype of the system.";
}else if (action instanceof AssessElaborationPhaseAction) {
text = "The engineers assess how the Elaboration phase went, including the number of use cases they discovered and the completion of the architectural prototype.";
}else if (action instanceof PlanForConstructionPhaseAction) {
text = "The engineers create a plan for the Construction phase.";
}else if (action instanceof EndElaborationPhaseAction) {
text = "The Elaboration phase officially ends.";
}else if (action instanceof BeginConstructionPhaseAction) {
text = "The Construction phase officially begins.";
}else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
text = "Employees are assigned to work on the Construction phase.";
}else if (action instanceof DesignAndImplementComponentAction) {
text = "The engineers design and implement a component of the final system that corresponds to a use case.";
}else if (action instanceof IntegrateComponentAction) {
text = "The engineers integrate an implemented component into what will be the final system.";
}else if (action instanceof TestFeaturesAndFixFaultsAction) {
text = "The engineers test features of a particular use case and fix any faults they find.";
}else if (action instanceof SubmitFirstPrototypeAction) {
text = "The first intermediate prototype is submitted to the customer and the engineers await their reaction.";
}else if (action instanceof SubmitSecondPrototypeAction) {
text = "The second intermediate prototype is submitted to the customer and the engineers await their reaction.";
}else if (action instanceof DevelopUserManualsAction) {
text = "The engineers develop user manuals for the system.";
}else if (action instanceof AssessConstructionPhaseAction) {
text = "The engineers assess how the Construction phase went, including the number of use cases they designed, implemented, and tested, and the completeness of the user manuals.";
}else if (action instanceof PlanForTransitionPhaseAction) {
text = "The engineers create a plan for the Transition phase.";
}else if (action instanceof EndConstructionPhaseAction) {
text = "The Construction phase officially ends.";
}else if (action instanceof BeginTransitionPhaseAction) {
text = "The Transition phase officially begins (and the game ends).";
}else if (action instanceof PurchaseToolsAction) {
text = "Software engineering tools are purchased using money from the budget.";
}else if (action instanceof RandomEventFourAction) {
text = "The customer changes the contact person for the project, who decides to change some the requirements. As a result, use case #3 must be reworked.";
}else if (action instanceof RandomEventOneAction) {
text = "The customer is happy with the progress and gives you more time (50 clock ticks) and money ($10,000).";
}else if (action instanceof RandomEventThreeAction) {
text = "A test reveals that use case #12 is all wrong and has to be redone.";
}else if (action instanceof RandomEventTwoAction) {
text = "The engineers discover a component from a previous project that implements use case #11 that can be reused.";
}else if (action instanceof IdleEmployeeAction) {
text = "An employee is assigned to a phase, yet is doing nothing because they have no tasks assigned to them.";
}else if (action instanceof OverBudgetWarningAction) {
text = "The money spent has exceeded the planned budget for the project.";
}else if (action instanceof OverTimeWarningAction) {
text = "The time used has exceeded the planned allotted time for the project.";
}else if (action instanceof SuggestedInceptionPhaseDurationAction) {
text = "Suggested duration of the Inception phase.";
}else if (action instanceof SuggestedElaborationPhaseDurationAction) {
text = "Suggested duration of the Elaboration Phase.";
}else if (action instanceof SuggestedConstructionPhaseDurationAction) {
text = "Suggested duration of the Construction phase.";
}actionDescriptionArea.setText(text);
actionDescriptionArea.setCaretPosition(0);
}

// initializes the JList of triggers
private void initializeTriggerList() {
if (action instanceof BeginInceptionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof StartIterationAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof EndIterationAction) {
String [] list = {
"UserTrigInception",
"UserTrigElaboration",
"UserTrigConstructionOne",
"UserTrigConstructionTwo",
};
triggerList.setListData(list);
}
else if (action instanceof AssessInceptionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof PlanForElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof EndInceptionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof BeginElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof DevelopArchitecturalPrototypeAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof AssessElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof PlanForConstructionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof EndElaborationPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof BeginConstructionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof DesignAndImplementComponentAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof IntegrateComponentAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof TestFeaturesAndFixFaultsAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof SubmitFirstPrototypeAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof SubmitSecondPrototypeAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof DevelopUserManualsAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof AssessConstructionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof PlanForTransitionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof EndConstructionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof BeginTransitionPhaseAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof PurchaseToolsAction) {
String [] list = {
"UserTrig",
};
triggerList.setListData(list);
}
else if (action instanceof RandomEventFourAction) {
String [] list = {
"RandomTrig",
};
triggerList.setListData(list);
}
else if (action instanceof RandomEventOneAction) {
String [] list = {
"RandomTrig",
};
triggerList.setListData(list);
}
else if (action instanceof RandomEventThreeAction) {
String [] list = {
"RandomTrig",
};
triggerList.setListData(list);
}
else if (action instanceof RandomEventTwoAction) {
String [] list = {
"RandomTrig",
};
triggerList.setListData(list);
}
else if (action instanceof IdleEmployeeAction) {
String [] list = {
"AutoTrig",
};
triggerList.setListData(list);
}
else if (action instanceof OverBudgetWarningAction) {
String [] list = {
"AutoTrig",
};
triggerList.setListData(list);
}
else if (action instanceof OverTimeWarningAction) {
String [] list = {
"AutoTrig",
};
triggerList.setListData(list);
}
else if (action instanceof SuggestedInceptionPhaseDurationAction) {
String [] list = {
"AutoTrig",
};
triggerList.setListData(list);
}
else if (action instanceof SuggestedElaborationPhaseDurationAction) {
String [] list = {
"AutoTrig",
};
triggerList.setListData(list);
}
else if (action instanceof SuggestedConstructionPhaseDurationAction) {
String [] list = {
"AutoTrig",
};
triggerList.setListData(list);
}
}

// initializes the JList of destroyers
private void initializeDestroyerList() {
if (action instanceof BeginInceptionPhaseAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof StartIterationAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof EndIterationAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof AssessInceptionPhaseAction) {
String [] list = {
"AllOk",
"UseCaseModelIncomplete",
"OverBudget",
"OutOfTime",
"OverBudgetAndOutOfTime",
};
destroyerList.setListData(list);
}
else if (action instanceof PlanForElaborationPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof EndInceptionPhaseAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof BeginElaborationPhaseAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof DevelopArchitecturalPrototypeAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof AssessElaborationPhaseAction) {
String [] list = {
"AllOk",
"OverBudgetAndOutOfTime",
"OverBudget",
"OutOfTime",
"UseCaseModelAndPrototypeIncomplete",
"UseCaseModelIncomplete",
"PrototypeIncomplete",
};
destroyerList.setListData(list);
}
else if (action instanceof PlanForConstructionPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof EndElaborationPhaseAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof BeginConstructionPhaseAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof DesignAndImplementComponentAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof IntegrateComponentAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof TestFeaturesAndFixFaultsAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof SubmitFirstPrototypeAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof SubmitSecondPrototypeAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof DevelopUserManualsAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof AssessConstructionPhaseAction) {
String [] list = {
"AllOk",
"AllOkOutOfTime",
"AllOkOverBudget",
"AllOkOutOfTimeOverBudget",
"SystemAndManualsIncomplete",
"SystemAndManualsIncOutOfTime",
"SystemAndManualsIncOverBudget",
"SystemManualsIncTimeBudget",
"SystemIncomplete",
"SystemIncompleteOutOfTime",
"SystemIncompleteOverBudget",
"SystemIncOutOfTimeOverBudget",
"ManualsIncomplete",
"ManualsIncompleteOutOfTime",
"ManulsIncompleteOverBudget",
"ManualsIncTimeBudget",
};
destroyerList.setListData(list);
}
else if (action instanceof PlanForTransitionPhaseAction) {
String [] list = {
"AutoDest",
};
destroyerList.setListData(list);
}
else if (action instanceof EndConstructionPhaseAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof BeginTransitionPhaseAction) {
String [] list = {
};
destroyerList.setListData(list);
}
else if (action instanceof PurchaseToolsAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof RandomEventFourAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof RandomEventOneAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof RandomEventThreeAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof RandomEventTwoAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof IdleEmployeeAction) {
String [] list = {
"AutoDest",
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof OverBudgetWarningAction) {
String [] list = {
};
destroyerList.setListData(list);
}
else if (action instanceof OverTimeWarningAction) {
String [] list = {
};
destroyerList.setListData(list);
}
else if (action instanceof SuggestedInceptionPhaseDurationAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof SuggestedElaborationPhaseDurationAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
else if (action instanceof SuggestedConstructionPhaseDurationAction) {
String [] list = {
"TimedDest",
};
destroyerList.setListData(list);
}
}

private JTable createParticipantsTable() {
String[] columnNames = { "Participant Name", "Participant", "Status" };
Object[][] data = new Object[action.getAllParticipants().size()][3];
int index = 0;
if (action instanceof BeginInceptionPhaseAction) {
BeginInceptionPhaseAction begininceptionphaseAction = (BeginInceptionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = begininceptionphaseAction.getAllEmps();
Vector<Employee> activeEmps = begininceptionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = begininceptionphaseAction.getAllProjs();
Vector<Project> activeProjs = begininceptionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
AssignEmployeesToInceptionPhaseAction assignemployeestoinceptionphaseAction = (AssignEmployeesToInceptionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = assignemployeestoinceptionphaseAction.getAllEmps();
Vector<Employee> activeEmps = assignemployeestoinceptionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = assignemployeestoinceptionphaseAction.getAllProjs();
Vector<Project> activeProjs = assignemployeestoinceptionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
MeetWithCustomerInceptionPhaseAction meetwithcustomerinceptionphaseAction = (MeetWithCustomerInceptionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = meetwithcustomerinceptionphaseAction.getAllEmps();
Vector<Employee> activeEmps = meetwithcustomerinceptionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = meetwithcustomerinceptionphaseAction.getAllProjs();
Vector<Project> activeProjs = meetwithcustomerinceptionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // ProjectPlan participant:
Vector<Artifact> projectplans = meetwithcustomerinceptionphaseAction.getAllProjectPlans();
Vector<Artifact> activeProjectPlans = meetwithcustomerinceptionphaseAction.getAllActiveProjectPlans();
for (int i = 0; i < projectplans.size(); i++) {
Artifact projectplan = projectplans.get(i);
data[index][0] = "ProjectPlan";
if (projectplan instanceof ProjectPlan) {
ProjectPlan projectplanProjectPlan = (ProjectPlan)projectplan;
data[index][1] = "ProjectPlan Artifact " + projectplanProjectPlan.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjectPlans.size(); j++) {
Artifact activeProjectPlan = activeProjectPlans.get(j);
if ((activeProjectPlan instanceof ProjectPlan) && ((ProjectPlan)activeProjectPlan).getName().equals(((ProjectPlan)projectplan).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof StartIterationAction) {
StartIterationAction startiterationAction = (StartIterationAction)action;

 // Emp participant:
Vector<Employee> emps = startiterationAction.getAllEmps();
Vector<Employee> activeEmps = startiterationAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = startiterationAction.getAllProjs();
Vector<Project> activeProjs = startiterationAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Manuals participant:
Vector<Artifact> manualss = startiterationAction.getAllManualss();
Vector<Artifact> activeManualss = startiterationAction.getAllActiveManualss();
for (int i = 0; i < manualss.size(); i++) {
Artifact manuals = manualss.get(i);
data[index][0] = "Manuals";
if (manuals instanceof UserManuals) {
UserManuals usermanualsManuals = (UserManuals)manuals;
data[index][1] = "UserManuals Artifact " + usermanualsManuals.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeManualss.size(); j++) {
Artifact activeManuals = activeManualss.get(j);
if ((activeManuals instanceof UserManuals) && ((UserManuals)activeManuals).getName().equals(((UserManuals)manuals).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof EndIterationAction) {
EndIterationAction enditerationAction = (EndIterationAction)action;

 // Emp participant:
Vector<Employee> emps = enditerationAction.getAllEmps();
Vector<Employee> activeEmps = enditerationAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = enditerationAction.getAllProjs();
Vector<Project> activeProjs = enditerationAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof AssessInceptionPhaseAction) {
AssessInceptionPhaseAction assessinceptionphaseAction = (AssessInceptionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = assessinceptionphaseAction.getAllEmps();
Vector<Employee> activeEmps = assessinceptionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = assessinceptionphaseAction.getAllProjs();
Vector<Project> activeProjs = assessinceptionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // ProjectPlan participant:
Vector<Artifact> projectplans = assessinceptionphaseAction.getAllProjectPlans();
Vector<Artifact> activeProjectPlans = assessinceptionphaseAction.getAllActiveProjectPlans();
for (int i = 0; i < projectplans.size(); i++) {
Artifact projectplan = projectplans.get(i);
data[index][0] = "ProjectPlan";
if (projectplan instanceof ProjectPlan) {
ProjectPlan projectplanProjectPlan = (ProjectPlan)projectplan;
data[index][1] = "ProjectPlan Artifact " + projectplanProjectPlan.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjectPlans.size(); j++) {
Artifact activeProjectPlan = activeProjectPlans.get(j);
if ((activeProjectPlan instanceof ProjectPlan) && ((ProjectPlan)activeProjectPlan).getName().equals(((ProjectPlan)projectplan).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof PlanForElaborationPhaseAction) {
PlanForElaborationPhaseAction planforelaborationphaseAction = (PlanForElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = planforelaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = planforelaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = planforelaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = planforelaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = planforelaborationphaseAction.getAllPlans();
Vector<Artifact> activePlans = planforelaborationphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof EndInceptionPhaseAction) {
EndInceptionPhaseAction endinceptionphaseAction = (EndInceptionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = endinceptionphaseAction.getAllEmps();
Vector<Employee> activeEmps = endinceptionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = endinceptionphaseAction.getAllProjs();
Vector<Project> activeProjs = endinceptionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = endinceptionphaseAction.getAllPlans();
Vector<Artifact> activePlans = endinceptionphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof BeginElaborationPhaseAction) {
BeginElaborationPhaseAction beginelaborationphaseAction = (BeginElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = beginelaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = beginelaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = beginelaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = beginelaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = beginelaborationphaseAction.getAllPlans();
Vector<Artifact> activePlans = beginelaborationphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
AssignEmployeesToElaborationPhaseAction assignemployeestoelaborationphaseAction = (AssignEmployeesToElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = assignemployeestoelaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = assignemployeestoelaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = assignemployeestoelaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = assignemployeestoelaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
MeetWithCustomerElaborationPhaseAction meetwithcustomerelaborationphaseAction = (MeetWithCustomerElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = meetwithcustomerelaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = meetwithcustomerelaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = meetwithcustomerelaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = meetwithcustomerelaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof DevelopArchitecturalPrototypeAction) {
DevelopArchitecturalPrototypeAction developarchitecturalprototypeAction = (DevelopArchitecturalPrototypeAction)action;

 // Emp participant:
Vector<Employee> emps = developarchitecturalprototypeAction.getAllEmps();
Vector<Employee> activeEmps = developarchitecturalprototypeAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = developarchitecturalprototypeAction.getAllProjs();
Vector<Project> activeProjs = developarchitecturalprototypeAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // ArchPrototype participant:
Vector<Artifact> archprototypes = developarchitecturalprototypeAction.getAllArchPrototypes();
Vector<Artifact> activeArchPrototypes = developarchitecturalprototypeAction.getAllActiveArchPrototypes();
for (int i = 0; i < archprototypes.size(); i++) {
Artifact archprototype = archprototypes.get(i);
data[index][0] = "ArchPrototype";
if (archprototype instanceof ArchitecturalPrototype) {
ArchitecturalPrototype architecturalprototypeArchPrototype = (ArchitecturalPrototype)archprototype;
data[index][1] = "ArchitecturalPrototype Artifact " + architecturalprototypeArchPrototype.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeArchPrototypes.size(); j++) {
Artifact activeArchPrototype = activeArchPrototypes.get(j);
if ((activeArchPrototype instanceof ArchitecturalPrototype) && ((ArchitecturalPrototype)activeArchPrototype).getName().equals(((ArchitecturalPrototype)archprototype).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
MeetWithCustomerAgainElaborationPhaseAction meetwithcustomeragainelaborationphaseAction = (MeetWithCustomerAgainElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = meetwithcustomeragainelaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = meetwithcustomeragainelaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = meetwithcustomeragainelaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = meetwithcustomeragainelaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
DevelopArchitecturalPrototypeMoreAction developarchitecturalprototypemoreAction = (DevelopArchitecturalPrototypeMoreAction)action;

 // Emp participant:
Vector<Employee> emps = developarchitecturalprototypemoreAction.getAllEmps();
Vector<Employee> activeEmps = developarchitecturalprototypemoreAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = developarchitecturalprototypemoreAction.getAllProjs();
Vector<Project> activeProjs = developarchitecturalprototypemoreAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Prototype participant:
Vector<Artifact> prototypes = developarchitecturalprototypemoreAction.getAllPrototypes();
Vector<Artifact> activePrototypes = developarchitecturalprototypemoreAction.getAllActivePrototypes();
for (int i = 0; i < prototypes.size(); i++) {
Artifact prototype = prototypes.get(i);
data[index][0] = "Prototype";
if (prototype instanceof ArchitecturalPrototype) {
ArchitecturalPrototype architecturalprototypePrototype = (ArchitecturalPrototype)prototype;
data[index][1] = "ArchitecturalPrototype Artifact " + architecturalprototypePrototype.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePrototypes.size(); j++) {
Artifact activePrototype = activePrototypes.get(j);
if ((activePrototype instanceof ArchitecturalPrototype) && ((ArchitecturalPrototype)activePrototype).getName().equals(((ArchitecturalPrototype)prototype).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof AssessElaborationPhaseAction) {
AssessElaborationPhaseAction assesselaborationphaseAction = (AssessElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = assesselaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = assesselaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = assesselaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = assesselaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Prototype participant:
Vector<Artifact> prototypes = assesselaborationphaseAction.getAllPrototypes();
Vector<Artifact> activePrototypes = assesselaborationphaseAction.getAllActivePrototypes();
for (int i = 0; i < prototypes.size(); i++) {
Artifact prototype = prototypes.get(i);
data[index][0] = "Prototype";
if (prototype instanceof ArchitecturalPrototype) {
ArchitecturalPrototype architecturalprototypePrototype = (ArchitecturalPrototype)prototype;
data[index][1] = "ArchitecturalPrototype Artifact " + architecturalprototypePrototype.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePrototypes.size(); j++) {
Artifact activePrototype = activePrototypes.get(j);
if ((activePrototype instanceof ArchitecturalPrototype) && ((ArchitecturalPrototype)activePrototype).getName().equals(((ArchitecturalPrototype)prototype).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof PlanForConstructionPhaseAction) {
PlanForConstructionPhaseAction planforconstructionphaseAction = (PlanForConstructionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = planforconstructionphaseAction.getAllEmps();
Vector<Employee> activeEmps = planforconstructionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = planforconstructionphaseAction.getAllProjs();
Vector<Project> activeProjs = planforconstructionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = planforconstructionphaseAction.getAllPlans();
Vector<Artifact> activePlans = planforconstructionphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof EndElaborationPhaseAction) {
EndElaborationPhaseAction endelaborationphaseAction = (EndElaborationPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = endelaborationphaseAction.getAllEmps();
Vector<Employee> activeEmps = endelaborationphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = endelaborationphaseAction.getAllProjs();
Vector<Project> activeProjs = endelaborationphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = endelaborationphaseAction.getAllPlans();
Vector<Artifact> activePlans = endelaborationphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof BeginConstructionPhaseAction) {
BeginConstructionPhaseAction beginconstructionphaseAction = (BeginConstructionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = beginconstructionphaseAction.getAllEmps();
Vector<Employee> activeEmps = beginconstructionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = beginconstructionphaseAction.getAllProjs();
Vector<Project> activeProjs = beginconstructionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = beginconstructionphaseAction.getAllPlans();
Vector<Artifact> activePlans = beginconstructionphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
AssignEmployeesToConstructionPhaseAction assignemployeestoconstructionphaseAction = (AssignEmployeesToConstructionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = assignemployeestoconstructionphaseAction.getAllEmps();
Vector<Employee> activeEmps = assignemployeestoconstructionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = assignemployeestoconstructionphaseAction.getAllProjs();
Vector<Project> activeProjs = assignemployeestoconstructionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof DesignAndImplementComponentAction) {
DesignAndImplementComponentAction designandimplementcomponentAction = (DesignAndImplementComponentAction)action;

 // Emp participant:
Vector<Employee> emps = designandimplementcomponentAction.getAllEmps();
Vector<Employee> activeEmps = designandimplementcomponentAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = designandimplementcomponentAction.getAllProjs();
Vector<Project> activeProjs = designandimplementcomponentAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // CorrespondingUseCase participant:
Vector<Artifact> correspondingusecases = designandimplementcomponentAction.getAllCorrespondingUseCases();
Vector<Artifact> activeCorrespondingUseCases = designandimplementcomponentAction.getAllActiveCorrespondingUseCases();
for (int i = 0; i < correspondingusecases.size(); i++) {
Artifact correspondingusecase = correspondingusecases.get(i);
data[index][0] = "CorrespondingUseCase";
if (correspondingusecase instanceof UseCase) {
UseCase usecaseCorrespondingUseCase = (UseCase)correspondingusecase;
data[index][1] = "UseCase Artifact " + usecaseCorrespondingUseCase.getPriorityRiskLevel();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeCorrespondingUseCases.size(); j++) {
Artifact activeCorrespondingUseCase = activeCorrespondingUseCases.get(j);
if ((activeCorrespondingUseCase instanceof UseCase) && ((UseCase)activeCorrespondingUseCase).getPriorityRiskLevel() == ((UseCase)correspondingusecase).getPriorityRiskLevel()) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof IntegrateComponentAction) {
IntegrateComponentAction integratecomponentAction = (IntegrateComponentAction)action;

 // Emp participant:
Vector<Employee> emps = integratecomponentAction.getAllEmps();
Vector<Employee> activeEmps = integratecomponentAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = integratecomponentAction.getAllProjs();
Vector<Project> activeProjs = integratecomponentAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // CorrespondingUseCase participant:
Vector<Artifact> correspondingusecases = integratecomponentAction.getAllCorrespondingUseCases();
Vector<Artifact> activeCorrespondingUseCases = integratecomponentAction.getAllActiveCorrespondingUseCases();
for (int i = 0; i < correspondingusecases.size(); i++) {
Artifact correspondingusecase = correspondingusecases.get(i);
data[index][0] = "CorrespondingUseCase";
if (correspondingusecase instanceof UseCase) {
UseCase usecaseCorrespondingUseCase = (UseCase)correspondingusecase;
data[index][1] = "UseCase Artifact " + usecaseCorrespondingUseCase.getPriorityRiskLevel();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeCorrespondingUseCases.size(); j++) {
Artifact activeCorrespondingUseCase = activeCorrespondingUseCases.get(j);
if ((activeCorrespondingUseCase instanceof UseCase) && ((UseCase)activeCorrespondingUseCase).getPriorityRiskLevel() == ((UseCase)correspondingusecase).getPriorityRiskLevel()) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof TestFeaturesAndFixFaultsAction) {
TestFeaturesAndFixFaultsAction testfeaturesandfixfaultsAction = (TestFeaturesAndFixFaultsAction)action;

 // Emp participant:
Vector<Employee> emps = testfeaturesandfixfaultsAction.getAllEmps();
Vector<Employee> activeEmps = testfeaturesandfixfaultsAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = testfeaturesandfixfaultsAction.getAllProjs();
Vector<Project> activeProjs = testfeaturesandfixfaultsAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // CorrespondingUseCase participant:
Vector<Artifact> correspondingusecases = testfeaturesandfixfaultsAction.getAllCorrespondingUseCases();
Vector<Artifact> activeCorrespondingUseCases = testfeaturesandfixfaultsAction.getAllActiveCorrespondingUseCases();
for (int i = 0; i < correspondingusecases.size(); i++) {
Artifact correspondingusecase = correspondingusecases.get(i);
data[index][0] = "CorrespondingUseCase";
if (correspondingusecase instanceof UseCase) {
UseCase usecaseCorrespondingUseCase = (UseCase)correspondingusecase;
data[index][1] = "UseCase Artifact " + usecaseCorrespondingUseCase.getPriorityRiskLevel();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeCorrespondingUseCases.size(); j++) {
Artifact activeCorrespondingUseCase = activeCorrespondingUseCases.get(j);
if ((activeCorrespondingUseCase instanceof UseCase) && ((UseCase)activeCorrespondingUseCase).getPriorityRiskLevel() == ((UseCase)correspondingusecase).getPriorityRiskLevel()) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Prot participant:
Vector<Artifact> prots = testfeaturesandfixfaultsAction.getAllProts();
Vector<Artifact> activeProts = testfeaturesandfixfaultsAction.getAllActiveProts();
for (int i = 0; i < prots.size(); i++) {
Artifact prot = prots.get(i);
data[index][0] = "Prot";
if (prot instanceof Prototype) {
Prototype prototypeProt = (Prototype)prot;
data[index][1] = "Prototype Artifact " + prototypeProt.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProts.size(); j++) {
Artifact activeProt = activeProts.get(j);
if ((activeProt instanceof Prototype) && ((Prototype)activeProt).getName().equals(((Prototype)prot).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof SubmitFirstPrototypeAction) {
SubmitFirstPrototypeAction submitfirstprototypeAction = (SubmitFirstPrototypeAction)action;

 // Emp participant:
Vector<Employee> emps = submitfirstprototypeAction.getAllEmps();
Vector<Employee> activeEmps = submitfirstprototypeAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = submitfirstprototypeAction.getAllProjs();
Vector<Project> activeProjs = submitfirstprototypeAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof SubmitSecondPrototypeAction) {
SubmitSecondPrototypeAction submitsecondprototypeAction = (SubmitSecondPrototypeAction)action;

 // Emp participant:
Vector<Employee> emps = submitsecondprototypeAction.getAllEmps();
Vector<Employee> activeEmps = submitsecondprototypeAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = submitsecondprototypeAction.getAllProjs();
Vector<Project> activeProjs = submitsecondprototypeAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof DevelopUserManualsAction) {
DevelopUserManualsAction developusermanualsAction = (DevelopUserManualsAction)action;

 // Emp participant:
Vector<Employee> emps = developusermanualsAction.getAllEmps();
Vector<Employee> activeEmps = developusermanualsAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = developusermanualsAction.getAllProjs();
Vector<Project> activeProjs = developusermanualsAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Manuals participant:
Vector<Artifact> manualss = developusermanualsAction.getAllManualss();
Vector<Artifact> activeManualss = developusermanualsAction.getAllActiveManualss();
for (int i = 0; i < manualss.size(); i++) {
Artifact manuals = manualss.get(i);
data[index][0] = "Manuals";
if (manuals instanceof UserManuals) {
UserManuals usermanualsManuals = (UserManuals)manuals;
data[index][1] = "UserManuals Artifact " + usermanualsManuals.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeManualss.size(); j++) {
Artifact activeManuals = activeManualss.get(j);
if ((activeManuals instanceof UserManuals) && ((UserManuals)activeManuals).getName().equals(((UserManuals)manuals).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof AssessConstructionPhaseAction) {
AssessConstructionPhaseAction assessconstructionphaseAction = (AssessConstructionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = assessconstructionphaseAction.getAllEmps();
Vector<Employee> activeEmps = assessconstructionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = assessconstructionphaseAction.getAllProjs();
Vector<Project> activeProjs = assessconstructionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // UserManuals participant:
Vector<Artifact> usermanualss = assessconstructionphaseAction.getAllUserManualss();
Vector<Artifact> activeUserManualss = assessconstructionphaseAction.getAllActiveUserManualss();
for (int i = 0; i < usermanualss.size(); i++) {
Artifact usermanuals = usermanualss.get(i);
data[index][0] = "UserManuals";
if (usermanuals instanceof UserManuals) {
UserManuals usermanualsUserManuals = (UserManuals)usermanuals;
data[index][1] = "UserManuals Artifact " + usermanualsUserManuals.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeUserManualss.size(); j++) {
Artifact activeUserManuals = activeUserManualss.get(j);
if ((activeUserManuals instanceof UserManuals) && ((UserManuals)activeUserManuals).getName().equals(((UserManuals)usermanuals).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof PlanForTransitionPhaseAction) {
PlanForTransitionPhaseAction planfortransitionphaseAction = (PlanForTransitionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = planfortransitionphaseAction.getAllEmps();
Vector<Employee> activeEmps = planfortransitionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = planfortransitionphaseAction.getAllProjs();
Vector<Project> activeProjs = planfortransitionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = planfortransitionphaseAction.getAllPlans();
Vector<Artifact> activePlans = planfortransitionphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Manuals participant:
Vector<Artifact> manualss = planfortransitionphaseAction.getAllManualss();
Vector<Artifact> activeManualss = planfortransitionphaseAction.getAllActiveManualss();
for (int i = 0; i < manualss.size(); i++) {
Artifact manuals = manualss.get(i);
data[index][0] = "Manuals";
if (manuals instanceof UserManuals) {
UserManuals usermanualsManuals = (UserManuals)manuals;
data[index][1] = "UserManuals Artifact " + usermanualsManuals.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeManualss.size(); j++) {
Artifact activeManuals = activeManualss.get(j);
if ((activeManuals instanceof UserManuals) && ((UserManuals)activeManuals).getName().equals(((UserManuals)manuals).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof EndConstructionPhaseAction) {
EndConstructionPhaseAction endconstructionphaseAction = (EndConstructionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = endconstructionphaseAction.getAllEmps();
Vector<Employee> activeEmps = endconstructionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = endconstructionphaseAction.getAllProjs();
Vector<Project> activeProjs = endconstructionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = endconstructionphaseAction.getAllPlans();
Vector<Artifact> activePlans = endconstructionphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof BeginTransitionPhaseAction) {
BeginTransitionPhaseAction begintransitionphaseAction = (BeginTransitionPhaseAction)action;

 // Emp participant:
Vector<Employee> emps = begintransitionphaseAction.getAllEmps();
Vector<Employee> activeEmps = begintransitionphaseAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = begintransitionphaseAction.getAllProjs();
Vector<Project> activeProjs = begintransitionphaseAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Plan participant:
Vector<Artifact> plans = begintransitionphaseAction.getAllPlans();
Vector<Artifact> activePlans = begintransitionphaseAction.getAllActivePlans();
for (int i = 0; i < plans.size(); i++) {
Artifact plan = plans.get(i);
data[index][0] = "Plan";
if (plan instanceof PhasePlan) {
PhasePlan phaseplanPlan = (PhasePlan)plan;
data[index][1] = "PhasePlan Artifact " + phaseplanPlan.getPhase();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activePlans.size(); j++) {
Artifact activePlan = activePlans.get(j);
if ((activePlan instanceof PhasePlan) && ((PhasePlan)activePlan).getPhase().equals(((PhasePlan)plan).getPhase())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof PurchaseToolsAction) {
PurchaseToolsAction purchasetoolsAction = (PurchaseToolsAction)action;

 // Emp participant:
Vector<Employee> emps = purchasetoolsAction.getAllEmps();
Vector<Employee> activeEmps = purchasetoolsAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // ToolToBuy participant:
Vector<Tool> tooltobuys = purchasetoolsAction.getAllToolToBuys();
Vector<Tool> activeToolToBuys = purchasetoolsAction.getAllActiveToolToBuys();
for (int i = 0; i < tooltobuys.size(); i++) {
Tool tooltobuy = tooltobuys.get(i);
data[index][0] = "ToolToBuy";
if (tooltobuy instanceof RequirementsTool) {
RequirementsTool requirementstoolToolToBuy = (RequirementsTool)tooltobuy;
data[index][1] = "RequirementsTool Tool " + requirementstoolToolToBuy.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeToolToBuys.size(); j++) {
Tool activeToolToBuy = activeToolToBuys.get(j);
if ((activeToolToBuy instanceof RequirementsTool) && ((RequirementsTool)activeToolToBuy).getName().equals(((RequirementsTool)tooltobuy).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
if (tooltobuy instanceof DesignTool) {
DesignTool designtoolToolToBuy = (DesignTool)tooltobuy;
data[index][1] = "DesignTool Tool " + designtoolToolToBuy.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeToolToBuys.size(); j++) {
Tool activeToolToBuy = activeToolToBuys.get(j);
if ((activeToolToBuy instanceof DesignTool) && ((DesignTool)activeToolToBuy).getName().equals(((DesignTool)tooltobuy).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
if (tooltobuy instanceof ImplementationTool) {
ImplementationTool implementationtoolToolToBuy = (ImplementationTool)tooltobuy;
data[index][1] = "ImplementationTool Tool " + implementationtoolToolToBuy.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeToolToBuys.size(); j++) {
Tool activeToolToBuy = activeToolToBuys.get(j);
if ((activeToolToBuy instanceof ImplementationTool) && ((ImplementationTool)activeToolToBuy).getName().equals(((ImplementationTool)tooltobuy).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
if (tooltobuy instanceof TestingTool) {
TestingTool testingtoolToolToBuy = (TestingTool)tooltobuy;
data[index][1] = "TestingTool Tool " + testingtoolToolToBuy.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeToolToBuys.size(); j++) {
Tool activeToolToBuy = activeToolToBuys.get(j);
if ((activeToolToBuy instanceof TestingTool) && ((TestingTool)activeToolToBuy).getName().equals(((TestingTool)tooltobuy).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
if (tooltobuy instanceof ConfigurationManagementTool) {
ConfigurationManagementTool configurationmanagementtoolToolToBuy = (ConfigurationManagementTool)tooltobuy;
data[index][1] = "ConfigurationManagementTool Tool " + configurationmanagementtoolToolToBuy.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeToolToBuys.size(); j++) {
Tool activeToolToBuy = activeToolToBuys.get(j);
if ((activeToolToBuy instanceof ConfigurationManagementTool) && ((ConfigurationManagementTool)activeToolToBuy).getName().equals(((ConfigurationManagementTool)tooltobuy).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = purchasetoolsAction.getAllProjs();
Vector<Project> activeProjs = purchasetoolsAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof RandomEventFourAction) {
RandomEventFourAction randomeventfourAction = (RandomEventFourAction)action;

 // Emp participant:
Vector<Employee> emps = randomeventfourAction.getAllEmps();
Vector<Employee> activeEmps = randomeventfourAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = randomeventfourAction.getAllProjs();
Vector<Project> activeProjs = randomeventfourAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // UseCaseToRework participant:
Vector<Artifact> usecasetoreworks = randomeventfourAction.getAllUseCaseToReworks();
Vector<Artifact> activeUseCaseToReworks = randomeventfourAction.getAllActiveUseCaseToReworks();
for (int i = 0; i < usecasetoreworks.size(); i++) {
Artifact usecasetorework = usecasetoreworks.get(i);
data[index][0] = "UseCaseToRework";
if (usecasetorework instanceof UseCase) {
UseCase usecaseUseCaseToRework = (UseCase)usecasetorework;
data[index][1] = "UseCase Artifact " + usecaseUseCaseToRework.getPriorityRiskLevel();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeUseCaseToReworks.size(); j++) {
Artifact activeUseCaseToRework = activeUseCaseToReworks.get(j);
if ((activeUseCaseToRework instanceof UseCase) && ((UseCase)activeUseCaseToRework).getPriorityRiskLevel() == ((UseCase)usecasetorework).getPriorityRiskLevel()) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof RandomEventOneAction) {
RandomEventOneAction randomeventoneAction = (RandomEventOneAction)action;

 // Emp participant:
Vector<Employee> emps = randomeventoneAction.getAllEmps();
Vector<Employee> activeEmps = randomeventoneAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = randomeventoneAction.getAllProjs();
Vector<Project> activeProjs = randomeventoneAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof RandomEventThreeAction) {
RandomEventThreeAction randomeventthreeAction = (RandomEventThreeAction)action;

 // Emp participant:
Vector<Employee> emps = randomeventthreeAction.getAllEmps();
Vector<Employee> activeEmps = randomeventthreeAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = randomeventthreeAction.getAllProjs();
Vector<Project> activeProjs = randomeventthreeAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // TestedUseCase participant:
Vector<Artifact> testedusecases = randomeventthreeAction.getAllTestedUseCases();
Vector<Artifact> activeTestedUseCases = randomeventthreeAction.getAllActiveTestedUseCases();
for (int i = 0; i < testedusecases.size(); i++) {
Artifact testedusecase = testedusecases.get(i);
data[index][0] = "TestedUseCase";
if (testedusecase instanceof UseCase) {
UseCase usecaseTestedUseCase = (UseCase)testedusecase;
data[index][1] = "UseCase Artifact " + usecaseTestedUseCase.getPriorityRiskLevel();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeTestedUseCases.size(); j++) {
Artifact activeTestedUseCase = activeTestedUseCases.get(j);
if ((activeTestedUseCase instanceof UseCase) && ((UseCase)activeTestedUseCase).getPriorityRiskLevel() == ((UseCase)testedusecase).getPriorityRiskLevel()) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof RandomEventTwoAction) {
RandomEventTwoAction randomeventtwoAction = (RandomEventTwoAction)action;

 // Emp participant:
Vector<Employee> emps = randomeventtwoAction.getAllEmps();
Vector<Employee> activeEmps = randomeventtwoAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = randomeventtwoAction.getAllProjs();
Vector<Project> activeProjs = randomeventtwoAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // UseCase participant:
Vector<Artifact> usecases = randomeventtwoAction.getAllUseCases();
Vector<Artifact> activeUseCases = randomeventtwoAction.getAllActiveUseCases();
for (int i = 0; i < usecases.size(); i++) {
Artifact usecase = usecases.get(i);
data[index][0] = "UseCase";
if (usecase instanceof UseCase) {
UseCase usecaseUseCase = (UseCase)usecase;
data[index][1] = "UseCase Artifact " + usecaseUseCase.getPriorityRiskLevel();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeUseCases.size(); j++) {
Artifact activeUseCase = activeUseCases.get(j);
if ((activeUseCase instanceof UseCase) && ((UseCase)activeUseCase).getPriorityRiskLevel() == ((UseCase)usecase).getPriorityRiskLevel()) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof IdleEmployeeAction) {
IdleEmployeeAction idleemployeeAction = (IdleEmployeeAction)action;

 // Emp participant:
Vector<Employee> emps = idleemployeeAction.getAllEmps();
Vector<Employee> activeEmps = idleemployeeAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Proj participant:
Vector<Project> projs = idleemployeeAction.getAllProjs();
Vector<Project> activeProjs = idleemployeeAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof OverBudgetWarningAction) {
OverBudgetWarningAction overbudgetwarningAction = (OverBudgetWarningAction)action;

 // Proj participant:
Vector<Project> projs = overbudgetwarningAction.getAllProjs();
Vector<Project> activeProjs = overbudgetwarningAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Emp participant:
Vector<Employee> emps = overbudgetwarningAction.getAllEmps();
Vector<Employee> activeEmps = overbudgetwarningAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof OverTimeWarningAction) {
OverTimeWarningAction overtimewarningAction = (OverTimeWarningAction)action;

 // Proj participant:
Vector<Project> projs = overtimewarningAction.getAllProjs();
Vector<Project> activeProjs = overtimewarningAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Emp participant:
Vector<Employee> emps = overtimewarningAction.getAllEmps();
Vector<Employee> activeEmps = overtimewarningAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof SuggestedInceptionPhaseDurationAction) {
SuggestedInceptionPhaseDurationAction suggestedinceptionphasedurationAction = (SuggestedInceptionPhaseDurationAction)action;

 // Proj participant:
Vector<Project> projs = suggestedinceptionphasedurationAction.getAllProjs();
Vector<Project> activeProjs = suggestedinceptionphasedurationAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Emp participant:
Vector<Employee> emps = suggestedinceptionphasedurationAction.getAllEmps();
Vector<Employee> activeEmps = suggestedinceptionphasedurationAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof SuggestedElaborationPhaseDurationAction) {
SuggestedElaborationPhaseDurationAction suggestedelaborationphasedurationAction = (SuggestedElaborationPhaseDurationAction)action;

 // Proj participant:
Vector<Project> projs = suggestedelaborationphasedurationAction.getAllProjs();
Vector<Project> activeProjs = suggestedelaborationphasedurationAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Emp participant:
Vector<Employee> emps = suggestedelaborationphasedurationAction.getAllEmps();
Vector<Employee> activeEmps = suggestedelaborationphasedurationAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
else if (action instanceof SuggestedConstructionPhaseDurationAction) {
SuggestedConstructionPhaseDurationAction suggestedconstructionphasedurationAction = (SuggestedConstructionPhaseDurationAction)action;

 // Proj participant:
Vector<Project> projs = suggestedconstructionphasedurationAction.getAllProjs();
Vector<Project> activeProjs = suggestedconstructionphasedurationAction.getAllActiveProjs();
for (int i = 0; i < projs.size(); i++) {
Project proj = projs.get(i);
data[index][0] = "Proj";
if (proj instanceof SoftwareProject) {
SoftwareProject softwareprojectProj = (SoftwareProject)proj;
data[index][1] = "SoftwareProject Project " + softwareprojectProj.getDescription();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeProjs.size(); j++) {
Project activeProj = activeProjs.get(j);
if ((activeProj instanceof SoftwareProject) && ((SoftwareProject)activeProj).getDescription().equals(((SoftwareProject)proj).getDescription())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
 // Emp participant:
Vector<Employee> emps = suggestedconstructionphasedurationAction.getAllEmps();
Vector<Employee> activeEmps = suggestedconstructionphasedurationAction.getAllActiveEmps();
for (int i = 0; i < emps.size(); i++) {
Employee emp = emps.get(i);
data[index][0] = "Emp";
if (emp instanceof SoftwareEngineer) {
SoftwareEngineer softwareengineerEmp = (SoftwareEngineer)emp;
data[index][1] = "SoftwareEngineer Employee " + softwareengineerEmp.getName();

// find out whether it's active or not:
boolean active = false;
for (int j = 0; j < activeEmps.size(); j++) {
Employee activeEmp = activeEmps.get(j);
if ((activeEmp instanceof SoftwareEngineer) && ((SoftwareEngineer)activeEmp).getName().equals(((SoftwareEngineer)emp).getName())) {
active = true;
break;
}
}
data[index][2] = active ? "Active" : "Inactive";
}
index++;
}
}
return new JTable(data, columnNames);
}

// refreshes the description area with the selected trigger/destroyer
private void refreshDescriptionArea(int trigOrDest) {
String name = trigOrDest == TRIGGER ? (String) triggerList.getSelectedValue() : (String) destroyerList.getSelectedValue();
if (name != null) {
String text = "";
if (action instanceof BeginInceptionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.BEGININCEPTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.BEGININCEPTIONPHASE_TIMEDDEST;
}
}
else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ASSIGNEMPLOYEESTOINCEPTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.ASSIGNEMPLOYEESTOINCEPTIONPHASE_AUTODEST;
}
}
else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.MEETWITHCUSTOMERINCEPTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.MEETWITHCUSTOMERINCEPTIONPHASE_AUTODEST;
}
}
else if (action instanceof StartIterationAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.STARTITERATION_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.STARTITERATION_TIMEDDEST;
}
}
else if (action instanceof EndIterationAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrigInception")) {
text = TriggerDescriptions.ENDITERATION_USERTRIGINCEPTION;
}
else if (trigOrDest == TRIGGER && name.equals("UserTrigElaboration")) {
text = TriggerDescriptions.ENDITERATION_USERTRIGELABORATION;
}
else if (trigOrDest == TRIGGER && name.equals("UserTrigConstructionOne")) {
text = TriggerDescriptions.ENDITERATION_USERTRIGCONSTRUCTIONONE;
}
else if (trigOrDest == TRIGGER && name.equals("UserTrigConstructionTwo")) {
text = TriggerDescriptions.ENDITERATION_USERTRIGCONSTRUCTIONTWO;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.ENDITERATION_TIMEDDEST;
}
}
else if (action instanceof AssessInceptionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ASSESSINCEPTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AllOk")) {
text = DestroyerDescriptions.ASSESSINCEPTIONPHASE_ALLOK;
}
else if (trigOrDest == DESTROYER && name.equals("UseCaseModelIncomplete")) {
text = DestroyerDescriptions.ASSESSINCEPTIONPHASE_USECASEMODELINCOMPLETE;
}
else if (trigOrDest == DESTROYER && name.equals("OverBudget")) {
text = DestroyerDescriptions.ASSESSINCEPTIONPHASE_OVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("OutOfTime")) {
text = DestroyerDescriptions.ASSESSINCEPTIONPHASE_OUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("OverBudgetAndOutOfTime")) {
text = DestroyerDescriptions.ASSESSINCEPTIONPHASE_OVERBUDGETANDOUTOFTIME;
}
}
else if (action instanceof PlanForElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.PLANFORELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.PLANFORELABORATIONPHASE_AUTODEST;
}
}
else if (action instanceof EndInceptionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ENDINCEPTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.ENDINCEPTIONPHASE_TIMEDDEST;
}
}
else if (action instanceof BeginElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.BEGINELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.BEGINELABORATIONPHASE_TIMEDDEST;
}
}
else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ASSIGNEMPLOYEESTOELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.ASSIGNEMPLOYEESTOELABORATIONPHASE_AUTODEST;
}
}
else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.MEETWITHCUSTOMERELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.MEETWITHCUSTOMERELABORATIONPHASE_AUTODEST;
}
}
else if (action instanceof DevelopArchitecturalPrototypeAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.DEVELOPARCHITECTURALPROTOTYPE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.DEVELOPARCHITECTURALPROTOTYPE_AUTODEST;
}
}
else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.MEETWITHCUSTOMERAGAINELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.MEETWITHCUSTOMERAGAINELABORATIONPHASE_AUTODEST;
}
}
else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.DEVELOPARCHITECTURALPROTOTYPEMORE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.DEVELOPARCHITECTURALPROTOTYPEMORE_AUTODEST;
}
}
else if (action instanceof AssessElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ASSESSELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AllOk")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_ALLOK;
}
else if (trigOrDest == DESTROYER && name.equals("OverBudgetAndOutOfTime")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_OVERBUDGETANDOUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("OverBudget")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_OVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("OutOfTime")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_OUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("UseCaseModelAndPrototypeIncomplete")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_USECASEMODELANDPROTOTYPEINCOMPLETE;
}
else if (trigOrDest == DESTROYER && name.equals("UseCaseModelIncomplete")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_USECASEMODELINCOMPLETE;
}
else if (trigOrDest == DESTROYER && name.equals("PrototypeIncomplete")) {
text = DestroyerDescriptions.ASSESSELABORATIONPHASE_PROTOTYPEINCOMPLETE;
}
}
else if (action instanceof PlanForConstructionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.PLANFORCONSTRUCTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.PLANFORCONSTRUCTIONPHASE_AUTODEST;
}
}
else if (action instanceof EndElaborationPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ENDELABORATIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.ENDELABORATIONPHASE_TIMEDDEST;
}
}
else if (action instanceof BeginConstructionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.BEGINCONSTRUCTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.BEGINCONSTRUCTIONPHASE_TIMEDDEST;
}
}
else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ASSIGNEMPLOYEESTOCONSTRUCTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.ASSIGNEMPLOYEESTOCONSTRUCTIONPHASE_AUTODEST;
}
}
else if (action instanceof DesignAndImplementComponentAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.DESIGNANDIMPLEMENTCOMPONENT_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.DESIGNANDIMPLEMENTCOMPONENT_AUTODEST;
}
}
else if (action instanceof IntegrateComponentAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.INTEGRATECOMPONENT_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.INTEGRATECOMPONENT_AUTODEST;
}
}
else if (action instanceof TestFeaturesAndFixFaultsAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.TESTFEATURESANDFIXFAULTS_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.TESTFEATURESANDFIXFAULTS_AUTODEST;
}
}
else if (action instanceof SubmitFirstPrototypeAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.SUBMITFIRSTPROTOTYPE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.SUBMITFIRSTPROTOTYPE_AUTODEST;
}
}
else if (action instanceof SubmitSecondPrototypeAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.SUBMITSECONDPROTOTYPE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.SUBMITSECONDPROTOTYPE_AUTODEST;
}
}
else if (action instanceof DevelopUserManualsAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.DEVELOPUSERMANUALS_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.DEVELOPUSERMANUALS_AUTODEST;
}
}
else if (action instanceof AssessConstructionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ASSESSCONSTRUCTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AllOk")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_ALLOK;
}
else if (trigOrDest == DESTROYER && name.equals("AllOkOutOfTime")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_ALLOKOUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("AllOkOverBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_ALLOKOVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("AllOkOutOfTimeOverBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_ALLOKOUTOFTIMEOVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("SystemAndManualsIncomplete")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMANDMANUALSINCOMPLETE;
}
else if (trigOrDest == DESTROYER && name.equals("SystemAndManualsIncOutOfTime")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMANDMANUALSINCOUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("SystemAndManualsIncOverBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMANDMANUALSINCOVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("SystemManualsIncTimeBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMMANUALSINCTIMEBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("SystemIncomplete")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMINCOMPLETE;
}
else if (trigOrDest == DESTROYER && name.equals("SystemIncompleteOutOfTime")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMINCOMPLETEOUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("SystemIncompleteOverBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMINCOMPLETEOVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("SystemIncOutOfTimeOverBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_SYSTEMINCOUTOFTIMEOVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("ManualsIncomplete")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_MANUALSINCOMPLETE;
}
else if (trigOrDest == DESTROYER && name.equals("ManualsIncompleteOutOfTime")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_MANUALSINCOMPLETEOUTOFTIME;
}
else if (trigOrDest == DESTROYER && name.equals("ManulsIncompleteOverBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_MANULSINCOMPLETEOVERBUDGET;
}
else if (trigOrDest == DESTROYER && name.equals("ManualsIncTimeBudget")) {
text = DestroyerDescriptions.ASSESSCONSTRUCTIONPHASE_MANUALSINCTIMEBUDGET;
}
}
else if (action instanceof PlanForTransitionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.PLANFORTRANSITIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.PLANFORTRANSITIONPHASE_AUTODEST;
}
}
else if (action instanceof EndConstructionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.ENDCONSTRUCTIONPHASE_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.ENDCONSTRUCTIONPHASE_TIMEDDEST;
}
}
else if (action instanceof BeginTransitionPhaseAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.BEGINTRANSITIONPHASE_USERTRIG;
}
}
else if (action instanceof PurchaseToolsAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("UserTrig")) {
text = TriggerDescriptions.PURCHASETOOLS_USERTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.PURCHASETOOLS_TIMEDDEST;
}
}
else if (action instanceof RandomEventFourAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("RandomTrig")) {
text = TriggerDescriptions.RANDOMEVENTFOUR_RANDOMTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.RANDOMEVENTFOUR_TIMEDDEST;
}
}
else if (action instanceof RandomEventOneAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("RandomTrig")) {
text = TriggerDescriptions.RANDOMEVENTONE_RANDOMTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.RANDOMEVENTONE_TIMEDDEST;
}
}
else if (action instanceof RandomEventThreeAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("RandomTrig")) {
text = TriggerDescriptions.RANDOMEVENTTHREE_RANDOMTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.RANDOMEVENTTHREE_TIMEDDEST;
}
}
else if (action instanceof RandomEventTwoAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("RandomTrig")) {
text = TriggerDescriptions.RANDOMEVENTTWO_RANDOMTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.RANDOMEVENTTWO_TIMEDDEST;
}
}
else if (action instanceof IdleEmployeeAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("AutoTrig")) {
text = TriggerDescriptions.IDLEEMPLOYEE_AUTOTRIG;
}
if (trigOrDest == DESTROYER && name.equals("AutoDest")) {
text = DestroyerDescriptions.IDLEEMPLOYEE_AUTODEST;
}
else if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.IDLEEMPLOYEE_TIMEDDEST;
}
}
else if (action instanceof OverBudgetWarningAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("AutoTrig")) {
text = TriggerDescriptions.OVERBUDGETWARNING_AUTOTRIG;
}
}
else if (action instanceof OverTimeWarningAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("AutoTrig")) {
text = TriggerDescriptions.OVERTIMEWARNING_AUTOTRIG;
}
}
else if (action instanceof SuggestedInceptionPhaseDurationAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("AutoTrig")) {
text = TriggerDescriptions.SUGGESTEDINCEPTIONPHASEDURATION_AUTOTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.SUGGESTEDINCEPTIONPHASEDURATION_TIMEDDEST;
}
}
else if (action instanceof SuggestedElaborationPhaseDurationAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("AutoTrig")) {
text = TriggerDescriptions.SUGGESTEDELABORATIONPHASEDURATION_AUTOTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.SUGGESTEDELABORATIONPHASEDURATION_TIMEDDEST;
}
}
else if (action instanceof SuggestedConstructionPhaseDurationAction) {
// triggers:
if (trigOrDest == TRIGGER && name.equals("AutoTrig")) {
text = TriggerDescriptions.SUGGESTEDCONSTRUCTIONPHASEDURATION_AUTOTRIG;
}
if (trigOrDest == DESTROYER && name.equals("TimedDest")) {
text = DestroyerDescriptions.SUGGESTEDCONSTRUCTIONPHASEDURATION_TIMEDDEST;
}
}
descriptionArea.setText(text);
descriptionArea.setCaretPosition(0);
}
}
}