/* File generated by: simse.codegenerator.explanatorytoolgenerator.ObjectGraphGenerator */
package simse.explanatorytool;

import simse.adts.objects.*;
import simse.state.*;
import simse.state.logger.Logger;
import simse.SimSE;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.ChartRenderingInfo;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.axis.NumberAxis;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.chart.plot.XYPlot;
import org.jfree.chart.renderer.xy.XYLineAndShapeRenderer;
import org.jfree.data.Range;
import org.jfree.data.xy.XYDataset;
import org.jfree.data.xy.XYSeries;
import org.jfree.data.xy.XYSeriesCollection;
import org.jfree.ui.RectangleEdge;
import org.jfree.ui.RectangleInsets;
import org.jfree.ui.RefineryUtilities;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.awt.Point;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.ArrayList;

import javax.swing.JFrame;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JSeparator;

public class ObjectGraph extends JFrame implements MouseListener, ActionListener {
private ArrayList<State> log;
private String objTypeType;
private String objType;
private String keyAttVal;
private String[] attributes;
private JFreeChart chart; // chart object
private ChartPanel chartPanel;
private JMenuItem newBranchItem;
private JSeparator separator;
private int lastRightClickedX; // last x-val that was right-clicked on
private XYSeries[] series;
private Branch branch; // branch from which this graph is generated

public ObjectGraph(String title, ArrayList<State> log, String objTypeType, String objType, String keyAttVal, String[] attributes, boolean showChart, Branch branch) {
super();
this.branch = branch;
if (branch.getName() != null) {
title = title.concat(" - " + branch.getName());
}
setTitle(title);
this.log = log;
this.objTypeType = objTypeType;
this.objType = objType;
this.keyAttVal = keyAttVal;
this.attributes = attributes;
lastRightClickedX = 0;
XYDataset dataset = createDataset();
chart = createChart(dataset);
chartPanel = new ChartPanel(chart);
chartPanel.addMouseListener(this);
chartPanel.setPreferredSize(new java.awt.Dimension(500, 270));
setContentPane(chartPanel);
newBranchItem = new JMenuItem("Start new game from here");
newBranchItem.addActionListener(this);
separator = new JSeparator();
pack();
RefineryUtilities.centerFrameOnScreen(this);
setVisible(showChart);
}

// Creates the dataset for this graph
private XYDataset createDataset() {
series = new XYSeries[attributes.length];
for (int i = 0; i < attributes.length; i++) {
series[i] = new XYSeries(attributes[i]);
}

for (int i = 0; i < log.size(); i++) {
for (int j = 0; j < attributes.length; j++) {
if (objTypeType.equals("Employee") && objType.equals("SoftwareEngineer")) {
SoftwareEngineer softwareengineer = null;
if (keyAttVal.equals("Amalia")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Amalia");
}
else if (keyAttVal.equals("Anne")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Anne");
}
else if (keyAttVal.equals("Corey")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Corey");
}
else if (keyAttVal.equals("Dwight")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Dwight");
}
else if (keyAttVal.equals("Elizabeth")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Elizabeth");
}
else if (keyAttVal.equals("Erica")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Erica");
}
else if (keyAttVal.equals("Gretchen")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Gretchen");
}
else if (keyAttVal.equals("Paxton")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Paxton");
}
else if (keyAttVal.equals("Roger")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Roger");
}
else if (keyAttVal.equals("Tai")) {
softwareengineer = log.get(i).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Tai");
}
if (softwareengineer != null) {
if (attributes[j].equals("PayRate")) {
series[j].add(i, softwareengineer.getPayRate());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("PhasePlan")) {
PhasePlan phaseplan = null;
if (keyAttVal.equals("Elaboration")) {
phaseplan = log.get(i).getArtifactStateRepository().getPhasePlanStateRepository().get("Elaboration");
}
else if (keyAttVal.equals("Construction")) {
phaseplan = log.get(i).getArtifactStateRepository().getPhasePlanStateRepository().get("Construction");
}
else if (keyAttVal.equals("Transition")) {
phaseplan = log.get(i).getArtifactStateRepository().getPhasePlanStateRepository().get("Transition");
}
if (phaseplan != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(i, phaseplan.getPercentComplete());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("ProjectPlan")) {
ProjectPlan projectplan = null;
if (keyAttVal.equals("Movie Corner Project Plan")) {
projectplan = log.get(i).getArtifactStateRepository().getProjectPlanStateRepository().get("Movie Corner Project Plan");
}
if (projectplan != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(i, projectplan.getPercentComplete());
}
else if (attributes[j].equals("EstimatedTotalUseCases")) {
series[j].add(i, projectplan.getEstimatedTotalUseCases());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("ArchitecturalPrototype")) {
ArchitecturalPrototype architecturalprototype = null;
if (keyAttVal.equals("Prototype")) {
architecturalprototype = log.get(i).getArtifactStateRepository().getArchitecturalPrototypeStateRepository().get("Prototype");
}
if (architecturalprototype != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(i, architecturalprototype.getPercentComplete());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("UseCase")) {
UseCase usecase = null;
if (usecase != null) {
if (attributes[j].equals("PriorityRiskLevel")) {
series[j].add(i, usecase.getPriorityRiskLevel());
}
else if (attributes[j].equals("PercentImplemented")) {
series[j].add(i, usecase.getPercentImplemented());
}
else if (attributes[j].equals("PercentIntegrated")) {
series[j].add(i, usecase.getPercentIntegrated());
}
else if (attributes[j].equals("PercentTested")) {
series[j].add(i, usecase.getPercentTested());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("Prototype")) {
Prototype prototype = null;
if (keyAttVal.equals("FirstPrototype")) {
prototype = log.get(i).getArtifactStateRepository().getPrototypeStateRepository().get("FirstPrototype");
}
else if (keyAttVal.equals("SecondPrototype")) {
prototype = log.get(i).getArtifactStateRepository().getPrototypeStateRepository().get("SecondPrototype");
}
if (prototype != null) {
if (attributes[j].equals("NumUseCasesCurrentlyContained")) {
series[j].add(i, prototype.getNumUseCasesCurrentlyContained());
}
else if (attributes[j].equals("NumUseCasesContainedAtSubmission")) {
series[j].add(i, prototype.getNumUseCasesContainedAtSubmission());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("UserManuals")) {
UserManuals usermanuals = null;
if (keyAttVal.equals("User Manuals")) {
usermanuals = log.get(i).getArtifactStateRepository().getUserManualsStateRepository().get("User Manuals");
}
if (usermanuals != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(i, usermanuals.getPercentComplete());
}
}
}
else if (objTypeType.equals("Project") && objType.equals("SoftwareProject")) {
SoftwareProject softwareproject = null;
if (keyAttVal.equals("Computer-based system for Movie Corner")) {
softwareproject = log.get(i).getProjectStateRepository().getSoftwareProjectStateRepository().get("Computer-based system for Movie Corner");
}
if (softwareproject != null) {
if (attributes[j].equals("Budget")) {
series[j].add(i, softwareproject.getBudget());
}
else if (attributes[j].equals("AllottedTime")) {
series[j].add(i, softwareproject.getAllottedTime());
}
else if (attributes[j].equals("MoneySpent")) {
series[j].add(i, softwareproject.getMoneySpent());
}
else if (attributes[j].equals("TimeUsed")) {
series[j].add(i, softwareproject.getTimeUsed());
}
else if (attributes[j].equals("CurrentIteration")) {
series[j].add(i, softwareproject.getCurrentIteration());
}
else if (attributes[j].equals("OverBudget")) {
series[j].add(i, softwareproject.getOverBudget());
}
else if (attributes[j].equals("OverTime")) {
series[j].add(i, softwareproject.getOverTime());
}
else if (attributes[j].equals("Score")) {
series[j].add(i, softwareproject.getScore());
}
else if (attributes[j].equals("WastedMoney")) {
series[j].add(i, softwareproject.getWastedMoney());
}
else if (attributes[j].equals("SuggestedBudgetInceptionPhase")) {
series[j].add(i, softwareproject.getSuggestedBudgetInceptionPhase());
}
else if (attributes[j].equals("MoneySpentInceptionPhase")) {
series[j].add(i, softwareproject.getMoneySpentInceptionPhase());
}
else if (attributes[j].equals("SuggestedBudgetElaborationPhase")) {
series[j].add(i, softwareproject.getSuggestedBudgetElaborationPhase());
}
else if (attributes[j].equals("MoneySpentElaborationPhase")) {
series[j].add(i, softwareproject.getMoneySpentElaborationPhase());
}
else if (attributes[j].equals("SuggestedBudgetConstructionPhase")) {
series[j].add(i, softwareproject.getSuggestedBudgetConstructionPhase());
}
else if (attributes[j].equals("MoneySpentConstructionPhase")) {
series[j].add(i, softwareproject.getMoneySpentConstructionPhase());
}
else if (attributes[j].equals("SuggestedToolBudget")) {
series[j].add(i, softwareproject.getSuggestedToolBudget());
}
else if (attributes[j].equals("MoneySpentOnTools")) {
series[j].add(i, softwareproject.getMoneySpentOnTools());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("RequirementsTool")) {
RequirementsTool requirementstool = null;
if (keyAttVal.equals("Rational RequisitePro")) {
requirementstool = log.get(i).getToolStateRepository().getRequirementsToolStateRepository().get("Rational RequisitePro");
}
if (requirementstool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(i, requirementstool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("DesignTool")) {
DesignTool designtool = null;
if (keyAttVal.equals("RationalRose")) {
designtool = log.get(i).getToolStateRepository().getDesignToolStateRepository().get("RationalRose");
}
if (designtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(i, designtool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("ImplementationTool")) {
ImplementationTool implementationtool = null;
if (keyAttVal.equals("Rational Apex")) {
implementationtool = log.get(i).getToolStateRepository().getImplementationToolStateRepository().get("Rational Apex");
}
if (implementationtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(i, implementationtool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("ConfigurationManagementTool")) {
ConfigurationManagementTool configurationmanagementtool = null;
if (keyAttVal.equals("ClearQuest")) {
configurationmanagementtool = log.get(i).getToolStateRepository().getConfigurationManagementToolStateRepository().get("ClearQuest");
}
if (configurationmanagementtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(i, configurationmanagementtool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("TestingTool")) {
TestingTool testingtool = null;
if (keyAttVal.equals("Rational Test Studio")) {
testingtool = log.get(i).getToolStateRepository().getTestingToolStateRepository().get("Rational Test Studio");
}
if (testingtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(i, testingtool.getCost());
}
}
}
else if (objTypeType.equals("Customer") && objType.equals("TheCustomer")) {
TheCustomer thecustomer = null;
if (keyAttVal.equals("Movie Corner")) {
thecustomer = log.get(i).getCustomerStateRepository().getTheCustomerStateRepository().get("Movie Corner");
}
if (thecustomer != null) {
}
}
}
}
XYSeriesCollection dataset = new XYSeriesCollection();
for (int i = 0; i < series.length; i++) {
dataset.addSeries(series[i]);
}
return dataset;
}

// Creates the chart for this graph
private JFreeChart createChart(XYDataset dataset) {
// create the chart:
JFreeChart chart = ChartFactory.createXYLineChart(this.getTitle(), "Clock Ticks", null, dataset, PlotOrientation.VERTICAL, true, true, false);
chart.setBackgroundPaint(Color.white);
XYPlot plot = (XYPlot) chart.getPlot();
plot.setBackgroundPaint(Color.lightGray);
plot.setAxisOffset(new RectangleInsets(5.0, 5.0, 5.0, 5.0));
plot.setDomainGridlinePaint(Color.white);
plot.setRangeGridlinePaint(Color.white);
XYLineAndShapeRenderer renderer = (XYLineAndShapeRenderer) plot.getRenderer();
renderer.setShapesVisible(true);
renderer.setShapesFilled(true);

// change the auto tick unit selection to integer units only:
NumberAxis domainAxis = (NumberAxis) plot.getDomainAxis();
domainAxis.setStandardTickUnits(NumberAxis.createIntegerTickUnits());

return chart;
}

public void update() {
if ((log.size() > 0) && (log.get(log.size() - 1) != null)) { // there is a log that has not been graphed yet
// add a new end data point for each series/attribute
for (int j = 0; j < attributes.length; j++) {
if (objTypeType.equals("Employee") && objType.equals("SoftwareEngineer")) {
SoftwareEngineer softwareengineer = null;
if (keyAttVal.equals("Amalia")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Amalia");
}
else if (keyAttVal.equals("Anne")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Anne");
}
else if (keyAttVal.equals("Corey")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Corey");
}
else if (keyAttVal.equals("Dwight")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Dwight");
}
else if (keyAttVal.equals("Elizabeth")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Elizabeth");
}
else if (keyAttVal.equals("Erica")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Erica");
}
else if (keyAttVal.equals("Gretchen")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Gretchen");
}
else if (keyAttVal.equals("Paxton")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Paxton");
}
else if (keyAttVal.equals("Roger")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Roger");
}
else if (keyAttVal.equals("Tai")) {
softwareengineer = log.get(log.size() - 1).getEmployeeStateRepository().getSoftwareEngineerStateRepository().get("Tai");
}
if (softwareengineer != null) {
if (attributes[j].equals("PayRate")) {
series[j].add(log.size(), softwareengineer.getPayRate());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("PhasePlan")) {
PhasePlan phaseplan = null;
if (keyAttVal.equals("Elaboration")) {
phaseplan = log.get(log.size() - 1).getArtifactStateRepository().getPhasePlanStateRepository().get("Elaboration");
}
else if (keyAttVal.equals("Construction")) {
phaseplan = log.get(log.size() - 1).getArtifactStateRepository().getPhasePlanStateRepository().get("Construction");
}
else if (keyAttVal.equals("Transition")) {
phaseplan = log.get(log.size() - 1).getArtifactStateRepository().getPhasePlanStateRepository().get("Transition");
}
if (phaseplan != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(log.size(), phaseplan.getPercentComplete());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("ProjectPlan")) {
ProjectPlan projectplan = null;
if (keyAttVal.equals("Movie Corner Project Plan")) {
projectplan = log.get(log.size() - 1).getArtifactStateRepository().getProjectPlanStateRepository().get("Movie Corner Project Plan");
}
if (projectplan != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(log.size(), projectplan.getPercentComplete());
}
else if (attributes[j].equals("EstimatedTotalUseCases")) {
series[j].add(log.size(), projectplan.getEstimatedTotalUseCases());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("ArchitecturalPrototype")) {
ArchitecturalPrototype architecturalprototype = null;
if (keyAttVal.equals("Prototype")) {
architecturalprototype = log.get(log.size() - 1).getArtifactStateRepository().getArchitecturalPrototypeStateRepository().get("Prototype");
}
if (architecturalprototype != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(log.size(), architecturalprototype.getPercentComplete());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("UseCase")) {
UseCase usecase = null;
if (usecase != null) {
if (attributes[j].equals("PriorityRiskLevel")) {
series[j].add(log.size(), usecase.getPriorityRiskLevel());
}
else if (attributes[j].equals("PercentImplemented")) {
series[j].add(log.size(), usecase.getPercentImplemented());
}
else if (attributes[j].equals("PercentIntegrated")) {
series[j].add(log.size(), usecase.getPercentIntegrated());
}
else if (attributes[j].equals("PercentTested")) {
series[j].add(log.size(), usecase.getPercentTested());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("Prototype")) {
Prototype prototype = null;
if (keyAttVal.equals("FirstPrototype")) {
prototype = log.get(log.size() - 1).getArtifactStateRepository().getPrototypeStateRepository().get("FirstPrototype");
}
else if (keyAttVal.equals("SecondPrototype")) {
prototype = log.get(log.size() - 1).getArtifactStateRepository().getPrototypeStateRepository().get("SecondPrototype");
}
if (prototype != null) {
if (attributes[j].equals("NumUseCasesCurrentlyContained")) {
series[j].add(log.size(), prototype.getNumUseCasesCurrentlyContained());
}
else if (attributes[j].equals("NumUseCasesContainedAtSubmission")) {
series[j].add(log.size(), prototype.getNumUseCasesContainedAtSubmission());
}
}
}
else if (objTypeType.equals("Artifact") && objType.equals("UserManuals")) {
UserManuals usermanuals = null;
if (keyAttVal.equals("User Manuals")) {
usermanuals = log.get(log.size() - 1).getArtifactStateRepository().getUserManualsStateRepository().get("User Manuals");
}
if (usermanuals != null) {
if (attributes[j].equals("PercentComplete")) {
series[j].add(log.size(), usermanuals.getPercentComplete());
}
}
}
else if (objTypeType.equals("Project") && objType.equals("SoftwareProject")) {
SoftwareProject softwareproject = null;
if (keyAttVal.equals("Computer-based system for Movie Corner")) {
softwareproject = log.get(log.size() - 1).getProjectStateRepository().getSoftwareProjectStateRepository().get("Computer-based system for Movie Corner");
}
if (softwareproject != null) {
if (attributes[j].equals("Budget")) {
series[j].add(log.size(), softwareproject.getBudget());
}
else if (attributes[j].equals("AllottedTime")) {
series[j].add(log.size(), softwareproject.getAllottedTime());
}
else if (attributes[j].equals("MoneySpent")) {
series[j].add(log.size(), softwareproject.getMoneySpent());
}
else if (attributes[j].equals("TimeUsed")) {
series[j].add(log.size(), softwareproject.getTimeUsed());
}
else if (attributes[j].equals("CurrentIteration")) {
series[j].add(log.size(), softwareproject.getCurrentIteration());
}
else if (attributes[j].equals("OverBudget")) {
series[j].add(log.size(), softwareproject.getOverBudget());
}
else if (attributes[j].equals("OverTime")) {
series[j].add(log.size(), softwareproject.getOverTime());
}
else if (attributes[j].equals("Score")) {
series[j].add(log.size(), softwareproject.getScore());
}
else if (attributes[j].equals("WastedMoney")) {
series[j].add(log.size(), softwareproject.getWastedMoney());
}
else if (attributes[j].equals("SuggestedBudgetInceptionPhase")) {
series[j].add(log.size(), softwareproject.getSuggestedBudgetInceptionPhase());
}
else if (attributes[j].equals("MoneySpentInceptionPhase")) {
series[j].add(log.size(), softwareproject.getMoneySpentInceptionPhase());
}
else if (attributes[j].equals("SuggestedBudgetElaborationPhase")) {
series[j].add(log.size(), softwareproject.getSuggestedBudgetElaborationPhase());
}
else if (attributes[j].equals("MoneySpentElaborationPhase")) {
series[j].add(log.size(), softwareproject.getMoneySpentElaborationPhase());
}
else if (attributes[j].equals("SuggestedBudgetConstructionPhase")) {
series[j].add(log.size(), softwareproject.getSuggestedBudgetConstructionPhase());
}
else if (attributes[j].equals("MoneySpentConstructionPhase")) {
series[j].add(log.size(), softwareproject.getMoneySpentConstructionPhase());
}
else if (attributes[j].equals("SuggestedToolBudget")) {
series[j].add(log.size(), softwareproject.getSuggestedToolBudget());
}
else if (attributes[j].equals("MoneySpentOnTools")) {
series[j].add(log.size(), softwareproject.getMoneySpentOnTools());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("RequirementsTool")) {
RequirementsTool requirementstool = null;
if (keyAttVal.equals("Rational RequisitePro")) {
requirementstool = log.get(log.size() - 1).getToolStateRepository().getRequirementsToolStateRepository().get("Rational RequisitePro");
}
if (requirementstool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(log.size(), requirementstool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("DesignTool")) {
DesignTool designtool = null;
if (keyAttVal.equals("RationalRose")) {
designtool = log.get(log.size() - 1).getToolStateRepository().getDesignToolStateRepository().get("RationalRose");
}
if (designtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(log.size(), designtool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("ImplementationTool")) {
ImplementationTool implementationtool = null;
if (keyAttVal.equals("Rational Apex")) {
implementationtool = log.get(log.size() - 1).getToolStateRepository().getImplementationToolStateRepository().get("Rational Apex");
}
if (implementationtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(log.size(), implementationtool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("ConfigurationManagementTool")) {
ConfigurationManagementTool configurationmanagementtool = null;
if (keyAttVal.equals("ClearQuest")) {
configurationmanagementtool = log.get(log.size() - 1).getToolStateRepository().getConfigurationManagementToolStateRepository().get("ClearQuest");
}
if (configurationmanagementtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(log.size(), configurationmanagementtool.getCost());
}
}
}
else if (objTypeType.equals("Tool") && objType.equals("TestingTool")) {
TestingTool testingtool = null;
if (keyAttVal.equals("Rational Test Studio")) {
testingtool = log.get(log.size() - 1).getToolStateRepository().getTestingToolStateRepository().get("Rational Test Studio");
}
if (testingtool != null) {
if (attributes[j].equals("Cost")) {
series[j].add(log.size(), testingtool.getCost());
}
}
}
else if (objTypeType.equals("Customer") && objType.equals("TheCustomer")) {
TheCustomer thecustomer = null;
if (keyAttVal.equals("Movie Corner")) {
thecustomer = log.get(log.size() - 1).getCustomerStateRepository().getTheCustomerStateRepository().get("Movie Corner");
}
if (thecustomer != null) {
}
}
}
}
}

// responds to RIGHT-clicks on the chart
public void mouseReleased(MouseEvent me) {
if (me.getButton() != MouseEvent.BUTTON1) { // not left-click
XYPlot plot = chart.getXYPlot();
Range domainRange = plot.getDataRange(plot.getDomainAxis());
if (domainRange != null) { // chart is not blank
Point2D pt = chartPanel.translateScreenToJava2D(new Point(me.getX(), me.getY()));
ChartRenderingInfo info = this.chartPanel.getChartRenderingInfo();
Rectangle2D dataArea = info.getPlotInfo().getDataArea();
NumberAxis domainAxis = (NumberAxis)plot.getDomainAxis();
RectangleEdge domainAxisEdge = plot.getDomainAxisEdge();
double chartX = domainAxis.java2DToValue(pt.getX(), dataArea, domainAxisEdge);
lastRightClickedX = (int)Math.rint(chartX);
if (domainRange != null && lastRightClickedX >= domainRange.getLowerBound() && lastRightClickedX <= (domainRange.getUpperBound() - 1) && lastRightClickedX >= 0) { // clicked within domain range
if (chartPanel.getPopupMenu().getComponentIndex(newBranchItem) == -1) { // no new branch item on menu currently
chartPanel.getPopupMenu().add(separator);
chartPanel.getPopupMenu().add(newBranchItem);
chartPanel.getPopupMenu().pack();
chartPanel.getPopupMenu().repaint();
}
}
else { // clicked outside of domain range
if (chartPanel.getPopupMenu().getComponentIndex(newBranchItem) >= 0) { // new branch item currently on menu
chartPanel.getPopupMenu().remove(newBranchItem);
if (chartPanel.getPopupMenu().getComponentIndex(separator) >= 0) { // has separator
chartPanel.getPopupMenu().remove(separator);
}
chartPanel.getPopupMenu().pack();
chartPanel.getPopupMenu().repaint();
}
}
}
}
}
public void mousePressed(MouseEvent me) {}
public void mouseClicked(MouseEvent me) {}
public void mouseEntered(MouseEvent me) {}
public void mouseExited(MouseEvent me) {}

public void actionPerformed(ActionEvent evt) {
if (evt.getSource() == newBranchItem) {
String newBranchName = JOptionPane.showInputDialog(null, "Please name this new game:", "Name New Game", JOptionPane.QUESTION_MESSAGE);
if (newBranchName != null) {
State tempState = (State)log.get(lastRightClickedX).clone();
Logger tempLogger = new Logger(tempState, new ArrayList<State>(log.subList(0, lastRightClickedX)));
Clock tempClock = new Clock(tempLogger, lastRightClickedX);
tempState.setClock(tempClock);
tempState.setLogger(tempLogger);
SimSE.startNewBranch(tempState, new Branch(newBranchName, lastRightClickedX, tempClock.getTime(), branch, null));
}
}
}

public XYPlot getXYPlot() {
return chart.getXYPlot();
}

public String getChartTitle() {
return this.getTitle();
}

public ArrayList<State> getLog() {
return log;
}

public class ExitListener extends WindowAdapter {
public void windowClosing(WindowEvent event) {
setVisible(false);
dispose();
}
}
}