/* File generated by: simse.codegenerator.explanatorytoolgenerator.RuleInfoPanelGenerator */
package simse.explanatorytool;

import simse.adts.actions.*;
import simse.explanatorytool.RuleDescriptions;

import javax.swing.*;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import java.awt.Dimension;

public class RuleInfoPanel extends JPanel implements ListSelectionListener {
private simse.adts.actions.Action action; // action in focus

private JList triggerRuleList;
private JList destroyerRuleList;
private JList intermediateRuleList;
private JTextArea descriptionArea; // for displaying a rule description

public RuleInfoPanel(JFrame owner, simse.adts.actions.Action action) {
this.action = action;

// Create main panel:
JPanel mainPane = new JPanel();
mainPane.setPreferredSize(new Dimension(900, 550));

// Create rule pane and components:
Box rulePane = Box.createVerticalBox();
JPanel trigRuleTitlePane = new JPanel();
trigRuleTitlePane.add(new JLabel("Trigger Rules:"));
rulePane.add(trigRuleTitlePane);

// rule lists:
triggerRuleList = new JList();
triggerRuleList.setVisibleRowCount(7);
triggerRuleList.setFixedCellWidth(400);
triggerRuleList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
triggerRuleList.addListSelectionListener(this);
JScrollPane triggerRuleListPane = new JScrollPane(triggerRuleList);
String trigToolTip = "Rules that execute at the beginning of the action";
trigRuleTitlePane.setToolTipText(trigToolTip);
triggerRuleList.setToolTipText(trigToolTip);
rulePane.add(triggerRuleListPane);

JPanel destRuleTitlePane = new JPanel();
destRuleTitlePane.add(new JLabel("Destroyer Rules:"));
rulePane.add(destRuleTitlePane);
destroyerRuleList = new JList();
destroyerRuleList.setVisibleRowCount(7);
destroyerRuleList.setFixedCellWidth(400);
destroyerRuleList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
destroyerRuleList.addListSelectionListener(this);
JScrollPane destroyerRuleListPane = new JScrollPane(destroyerRuleList);
String destToolTip = "Rules that execute at the end of the action";
destRuleTitlePane.setToolTipText(destToolTip);
destroyerRuleList.setToolTipText(destToolTip);
rulePane.add(destroyerRuleListPane);

JPanel intRuleTitlePane = new JPanel();
intRuleTitlePane.add(new JLabel("Intermediate Rules:"));
rulePane.add(intRuleTitlePane);
intermediateRuleList = new JList();
intermediateRuleList.setVisibleRowCount(7);
intermediateRuleList.setFixedCellWidth(400);
intermediateRuleList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
intermediateRuleList.addListSelectionListener(this);
JScrollPane intermediateRuleListPane = new JScrollPane(intermediateRuleList);
String intToolTip = "Rules that execute every clock tick during the life of the action";
intRuleTitlePane.setToolTipText(intToolTip);
intermediateRuleList.setToolTipText(intToolTip);
rulePane.add(intermediateRuleListPane);

initializeRuleLists();

// description pane:
Box descriptionPane = Box.createVerticalBox();
JPanel descriptionTitlePane = new JPanel();
descriptionTitlePane.add(new JLabel("Description:"));
descriptionPane.add(descriptionTitlePane);

// description text area:
descriptionArea = new JTextArea(29, 30);
descriptionArea.setLineWrap(true);
descriptionArea.setWrapStyleWord(true);
descriptionArea.setEditable(false);
JScrollPane descriptionScrollPane = new JScrollPane(descriptionArea, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
descriptionPane.add(descriptionScrollPane);

rulePane.add(descriptionPane);

// Add panes to main pane:
mainPane.add(rulePane);
mainPane.add(descriptionPane);
add(mainPane);

setOpaque(true);
validate();
repaint();
}

public void valueChanged(ListSelectionEvent e) {
if ((e.getSource() == triggerRuleList && !triggerRuleList.isSelectionEmpty())) {
destroyerRuleList.clearSelection();
intermediateRuleList.clearSelection();
refreshDescriptionArea();
}
else if (e.getSource() == destroyerRuleList && !destroyerRuleList.isSelectionEmpty()) {
triggerRuleList.clearSelection();
intermediateRuleList.clearSelection();
refreshDescriptionArea();
}
else if (e.getSource() == intermediateRuleList && !intermediateRuleList.isSelectionEmpty()) {
triggerRuleList.clearSelection();
destroyerRuleList.clearSelection();
refreshDescriptionArea();
}
}

private void initializeRuleLists() {
if (action instanceof BeginInceptionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"UpdateMoneySpentInception",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
"CreateUseCasesInception",
"SetEstimatedTotalUseCases",
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreaseProjectPlanCompleteness",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof StartIterationAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof EndIterationAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof AssessInceptionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreaseAssessmentPcntCompInception",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof PlanForElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncElaborationPhasePlanPcntComp",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof EndInceptionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof BeginElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"UpdateMoneySpentElaboration",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
"CreateUseCasesElaborationOne",
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreaseElicitReqPcntCompElabOne",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof DevelopArchitecturalPrototypeAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreasePrototypePcntCompOne",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
"CreateUseCasesElaborationTwo",
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreaseElicitReqPcntCompElabTwo",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreasePrototypePcntCompTwo",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof AssessElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreaseAssessmentPcntCompElab",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof PlanForConstructionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncConstructionPhasePlanPcntComp",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof EndElaborationPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof BeginConstructionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"UpdateMoneySpentConstruction",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof DesignAndImplementComponentAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncUseCasePcntImplemented",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof IntegrateComponentAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncUseCasePercentIntegrated",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof TestFeaturesAndFixFaultsAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncUseCasePercentTested",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof SubmitFirstPrototypeAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof SubmitSecondPrototypeAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof DevelopUserManualsAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncUserManualsPcntComp",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof AssessConstructionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncreaseAssessmentPcntCompConstruction",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof PlanForTransitionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
String[] destList = {
};
destroyerRuleList.setListData(destList);
String[] intList = {
"IncTransitionPhasePlanPcntComp",
};
intermediateRuleList.setListData(intList);
}
else if (action instanceof EndConstructionPhaseAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof BeginTransitionPhaseAction) {
String[] trigList = {
"CalculateScore",
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof PurchaseToolsAction) {
String[] trigList = {
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof RandomEventFourAction) {
String[] trigList = {
"LoseProgressUseCaseThree",
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof RandomEventOneAction) {
String[] trigList = {
"AddTimeAndMoney",
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof RandomEventThreeAction) {
String[] trigList = {
"LoseProgressOnUseCase",
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof RandomEventTwoAction) {
String[] trigList = {
"SetUseCaseImplemented",
};
triggerRuleList.setListData(trigList);
}
else if (action instanceof IdleEmployeeAction) {
}
else if (action instanceof OverBudgetWarningAction) {
}
else if (action instanceof OverTimeWarningAction) {
}
else if (action instanceof SuggestedInceptionPhaseDurationAction) {
String[] destList = {
};
destroyerRuleList.setListData(destList);
}
else if (action instanceof SuggestedElaborationPhaseDurationAction) {
String[] destList = {
};
destroyerRuleList.setListData(destList);
}
else if (action instanceof SuggestedConstructionPhaseDurationAction) {
String[] destList = {
};
destroyerRuleList.setListData(destList);
}
}

// refreshes the description area with the selected rule description
private void refreshDescriptionArea() {
String name = null;
if (!triggerRuleList.isSelectionEmpty()) {
name = (String) triggerRuleList.getSelectedValue();
}
else if (!destroyerRuleList.isSelectionEmpty()) {
name = (String) destroyerRuleList.getSelectedValue();
}
else if (!intermediateRuleList.isSelectionEmpty()) {
name = (String) intermediateRuleList.getSelectedValue();
}
if (name != null) {
String text = "";
if (action instanceof BeginInceptionPhaseAction) {
}
else if (action instanceof AssignEmployeesToInceptionPhaseAction) {
if (name.equals("UpdateMoneySpentInception")) {
text = RuleDescriptions.ASSIGNEMPLOYEESTOINCEPTIONPHASE_UPDATEMONEYSPENTINCEPTION;
}}
else if (action instanceof MeetWithCustomerInceptionPhaseAction) {
if (name.equals("IncreaseProjectPlanCompleteness")) {
text = RuleDescriptions.MEETWITHCUSTOMERINCEPTIONPHASE_INCREASEPROJECTPLANCOMPLETENESS;
}else if (name.equals("CreateUseCasesInception")) {
text = RuleDescriptions.MEETWITHCUSTOMERINCEPTIONPHASE_CREATEUSECASESINCEPTION;
}else if (name.equals("SetEstimatedTotalUseCases")) {
text = RuleDescriptions.MEETWITHCUSTOMERINCEPTIONPHASE_SETESTIMATEDTOTALUSECASES;
}}
else if (action instanceof StartIterationAction) {
}
else if (action instanceof EndIterationAction) {
}
else if (action instanceof AssessInceptionPhaseAction) {
if (name.equals("IncreaseAssessmentPcntCompInception")) {
text = RuleDescriptions.ASSESSINCEPTIONPHASE_INCREASEASSESSMENTPCNTCOMPINCEPTION;
}}
else if (action instanceof PlanForElaborationPhaseAction) {
if (name.equals("IncElaborationPhasePlanPcntComp")) {
text = RuleDescriptions.PLANFORELABORATIONPHASE_INCELABORATIONPHASEPLANPCNTCOMP;
}}
else if (action instanceof EndInceptionPhaseAction) {
}
else if (action instanceof BeginElaborationPhaseAction) {
}
else if (action instanceof AssignEmployeesToElaborationPhaseAction) {
if (name.equals("UpdateMoneySpentElaboration")) {
text = RuleDescriptions.ASSIGNEMPLOYEESTOELABORATIONPHASE_UPDATEMONEYSPENTELABORATION;
}}
else if (action instanceof MeetWithCustomerElaborationPhaseAction) {
if (name.equals("CreateUseCasesElaborationOne")) {
text = RuleDescriptions.MEETWITHCUSTOMERELABORATIONPHASE_CREATEUSECASESELABORATIONONE;
}else if (name.equals("IncreaseElicitReqPcntCompElabOne")) {
text = RuleDescriptions.MEETWITHCUSTOMERELABORATIONPHASE_INCREASEELICITREQPCNTCOMPELABONE;
}}
else if (action instanceof DevelopArchitecturalPrototypeAction) {
if (name.equals("IncreasePrototypePcntCompOne")) {
text = RuleDescriptions.DEVELOPARCHITECTURALPROTOTYPE_INCREASEPROTOTYPEPCNTCOMPONE;
}}
else if (action instanceof MeetWithCustomerAgainElaborationPhaseAction) {
if (name.equals("IncreaseElicitReqPcntCompElabTwo")) {
text = RuleDescriptions.MEETWITHCUSTOMERAGAINELABORATIONPHASE_INCREASEELICITREQPCNTCOMPELABTWO;
}else if (name.equals("CreateUseCasesElaborationTwo")) {
text = RuleDescriptions.MEETWITHCUSTOMERAGAINELABORATIONPHASE_CREATEUSECASESELABORATIONTWO;
}}
else if (action instanceof DevelopArchitecturalPrototypeMoreAction) {
if (name.equals("IncreasePrototypePcntCompTwo")) {
text = RuleDescriptions.DEVELOPARCHITECTURALPROTOTYPEMORE_INCREASEPROTOTYPEPCNTCOMPTWO;
}}
else if (action instanceof AssessElaborationPhaseAction) {
if (name.equals("IncreaseAssessmentPcntCompElab")) {
text = RuleDescriptions.ASSESSELABORATIONPHASE_INCREASEASSESSMENTPCNTCOMPELAB;
}}
else if (action instanceof PlanForConstructionPhaseAction) {
if (name.equals("IncConstructionPhasePlanPcntComp")) {
text = RuleDescriptions.PLANFORCONSTRUCTIONPHASE_INCCONSTRUCTIONPHASEPLANPCNTCOMP;
}}
else if (action instanceof EndElaborationPhaseAction) {
}
else if (action instanceof BeginConstructionPhaseAction) {
}
else if (action instanceof AssignEmployeesToConstructionPhaseAction) {
if (name.equals("UpdateMoneySpentConstruction")) {
text = RuleDescriptions.ASSIGNEMPLOYEESTOCONSTRUCTIONPHASE_UPDATEMONEYSPENTCONSTRUCTION;
}}
else if (action instanceof DesignAndImplementComponentAction) {
if (name.equals("IncUseCasePcntImplemented")) {
text = RuleDescriptions.DESIGNANDIMPLEMENTCOMPONENT_INCUSECASEPCNTIMPLEMENTED;
}}
else if (action instanceof IntegrateComponentAction) {
if (name.equals("IncUseCasePercentIntegrated")) {
text = RuleDescriptions.INTEGRATECOMPONENT_INCUSECASEPERCENTINTEGRATED;
}}
else if (action instanceof TestFeaturesAndFixFaultsAction) {
if (name.equals("IncUseCasePercentTested")) {
text = RuleDescriptions.TESTFEATURESANDFIXFAULTS_INCUSECASEPERCENTTESTED;
}}
else if (action instanceof SubmitFirstPrototypeAction) {
}
else if (action instanceof SubmitSecondPrototypeAction) {
}
else if (action instanceof DevelopUserManualsAction) {
if (name.equals("IncUserManualsPcntComp")) {
text = RuleDescriptions.DEVELOPUSERMANUALS_INCUSERMANUALSPCNTCOMP;
}}
else if (action instanceof AssessConstructionPhaseAction) {
if (name.equals("IncreaseAssessmentPcntCompConstruction")) {
text = RuleDescriptions.ASSESSCONSTRUCTIONPHASE_INCREASEASSESSMENTPCNTCOMPCONSTRUCTION;
}}
else if (action instanceof PlanForTransitionPhaseAction) {
if (name.equals("IncTransitionPhasePlanPcntComp")) {
text = RuleDescriptions.PLANFORTRANSITIONPHASE_INCTRANSITIONPHASEPLANPCNTCOMP;
}}
else if (action instanceof EndConstructionPhaseAction) {
}
else if (action instanceof BeginTransitionPhaseAction) {
if (name.equals("CalculateScore")) {
text = RuleDescriptions.BEGINTRANSITIONPHASE_CALCULATESCORE;
}}
else if (action instanceof PurchaseToolsAction) {
}
else if (action instanceof RandomEventFourAction) {
if (name.equals("LoseProgressUseCaseThree")) {
text = RuleDescriptions.RANDOMEVENTFOUR_LOSEPROGRESSUSECASETHREE;
}}
else if (action instanceof RandomEventOneAction) {
if (name.equals("AddTimeAndMoney")) {
text = RuleDescriptions.RANDOMEVENTONE_ADDTIMEANDMONEY;
}}
else if (action instanceof RandomEventThreeAction) {
if (name.equals("LoseProgressOnUseCase")) {
text = RuleDescriptions.RANDOMEVENTTHREE_LOSEPROGRESSONUSECASE;
}}
else if (action instanceof RandomEventTwoAction) {
if (name.equals("SetUseCaseImplemented")) {
text = RuleDescriptions.RANDOMEVENTTWO_SETUSECASEIMPLEMENTED;
}}
else if (action instanceof IdleEmployeeAction) {
}
else if (action instanceof OverBudgetWarningAction) {
}
else if (action instanceof OverTimeWarningAction) {
}
else if (action instanceof SuggestedInceptionPhaseDurationAction) {
}
else if (action instanceof SuggestedElaborationPhaseDurationAction) {
}
else if (action instanceof SuggestedConstructionPhaseDurationAction) {
}
descriptionArea.setText(text);
descriptionArea.setCaretPosition(0);
}
}
}