/* File generated by: simse.codegenerator.logicgenerator.dialoggenerator.NonEmployeeParticipantSelectionDialogGenerator */
package simse.logic.dialogs;
import simse.gui.ImageLoader;
import simse.gui.TabPanel;
import simse.state.*;
import simse.adts.objects.*;
import simse.adts.actions.*;
import java.util.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.border.*;
import javax.swing.event.*;
public class NonEmployeeParticipantSelectionDialog extends JDialog implements ActionListener
{
private String partName;
private Vector<SSObject> participants;
private simse.adts.actions.Action action;
private State state;
private int minNumParts;
private int maxNumParts;
private Vector<JCheckBox> checkBoxes;
private JButton checkAllButton;
private JButton clearAllButton;
private JButton okButton;
private JButton cancelButton;
private boolean actionCancelled;
public NonEmployeeParticipantSelectionDialog(JFrame owner, String pName, Vector<SSObject> parts, simse.adts.actions.Action act, State s)
{
super(owner, true);
partName = pName;
participants = parts;
action = act;
state = s;
actionCancelled = false;
setMinAndMax();
if((minNumParts == 0) || (participants.size() > 1))
{
checkBoxes = new Vector<JCheckBox>();
setTitle("Participant Selection");
Box mainPane = Box.createVerticalBox();
JPanel topPane = new JPanel();
String title = "Choose ";
title = title.concat(partName + " participant(s) (");
if(minNumParts == maxNumParts)
{
title = title.concat("exactly " + minNumParts);
}
else
{
title = title.concat("at least " + minNumParts);
if(maxNumParts < 999999) // not boundless
{
title = title.concat(", at most " + maxNumParts);
}
}
title = title.concat("):");
topPane.add(new JLabel(title));
JPanel middlePane = new JPanel(new GridLayout(0, 1));
for(int i=0; i<participants.size(); i++)
{
SSObject tempObj = participants.elementAt(i);
String label = new String();
if(tempObj instanceof SoftwareEngineer)
{
label = ("SoftwareEngineer (" + ((SoftwareEngineer)tempObj).getName() + ")");
}
else if(tempObj instanceof PhasePlan)
{
label = ("PhasePlan (" + ((PhasePlan)tempObj).getPhase() + ")");
}
else if(tempObj instanceof ProjectPlan)
{
label = ("ProjectPlan (" + ((ProjectPlan)tempObj).getName() + ")");
}
else if(tempObj instanceof ArchitecturalPrototype)
{
label = ("ArchitecturalPrototype (" + ((ArchitecturalPrototype)tempObj).getName() + ")");
}
else if(tempObj instanceof UseCase)
{
label = ("UseCase (" + ((UseCase)tempObj).getPriorityRiskLevel() + ")");
}
else if(tempObj instanceof Prototype)
{
label = ("Prototype (" + ((Prototype)tempObj).getName() + ")");
}
else if(tempObj instanceof UserManuals)
{
label = ("UserManuals (" + ((UserManuals)tempObj).getName() + ")");
}
else if(tempObj instanceof SoftwareProject)
{
label = ("SoftwareProject (" + ((SoftwareProject)tempObj).getDescription() + ")");
}
else if(tempObj instanceof RequirementsTool)
{
label = ("RequirementsTool (" + ((RequirementsTool)tempObj).getName() + ")");
}
else if(tempObj instanceof DesignTool)
{
label = ("DesignTool (" + ((DesignTool)tempObj).getName() + ")");
}
else if(tempObj instanceof ImplementationTool)
{
label = ("ImplementationTool (" + ((ImplementationTool)tempObj).getName() + ")");
}
else if(tempObj instanceof ConfigurationManagementTool)
{
label = ("ConfigurationManagementTool (" + ((ConfigurationManagementTool)tempObj).getName() + ")");
}
else if(tempObj instanceof TestingTool)
{
label = ("TestingTool (" + ((TestingTool)tempObj).getName() + ")");
}
else if(tempObj instanceof TheCustomer)
{
label = ("TheCustomer (" + ((TheCustomer)tempObj).getCompanyName() + ")");
}
JPanel tempPane = new JPanel(new BorderLayout());
JCheckBox tempCheckBox = new JCheckBox(label);
tempPane.add(tempCheckBox, BorderLayout.WEST);
checkBoxes.add(tempCheckBox);
ImageIcon icon =  new ImageIcon(ImageLoader.getImageFromURL(TabPanel.getImage(tempObj)).getScaledInstance(30, 30, Image.SCALE_AREA_AVERAGING));
tempPane.add(new JLabel(icon), BorderLayout.EAST);
middlePane.add(tempPane);
}
JPanel checkPane = new JPanel();
checkAllButton = new JButton("Check All");
checkAllButton.addActionListener(this);
checkPane.add(checkAllButton);
clearAllButton = new JButton("Clear All");
clearAllButton.addActionListener(this);
checkPane.add(clearAllButton);
JPanel bottomPane = new JPanel();
okButton = new JButton("OK");
okButton.addActionListener(this);
bottomPane.add(okButton);
cancelButton = new JButton("Cancel");
cancelButton.addActionListener(this);
bottomPane.add(cancelButton);
mainPane.add(topPane);
mainPane.add(middlePane);
JSeparator separator1 = new JSeparator();
separator1.setMaximumSize(new Dimension(900, 1));
mainPane.add(separator1);
mainPane.add(checkPane);
JSeparator separator2 = new JSeparator();
separator2.setMaximumSize(new Dimension(900, 1));
mainPane.add(separator2);
mainPane.add(bottomPane);
addWindowListener(new ExitListener());
setContentPane(mainPane);
validate();
pack();
repaint();
toFront();
Point ownerLoc = owner.getLocationOnScreen();
Point thisLoc = new Point();
thisLoc.setLocation((ownerLoc.getX() + (owner.getWidth() / 2) - (this.getWidth() / 2)), (ownerLoc.getY() + (owner.getHeight() / 2) - (this.getHeight() / 2)));
setLocation(thisLoc);
setVisible(true);
}
else
{
if(action instanceof BeginInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginInceptionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssignEmployeesToInceptionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((MeetWithCustomerInceptionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("ProjectPlan"))
{
((MeetWithCustomerInceptionPhaseAction)action).addProjectPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof StartIterationAction)
{
if(partName.equals("Proj"))
{
((StartIterationAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Manuals"))
{
((StartIterationAction)action).addManuals((Artifact)participants.elementAt(0));
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Proj"))
{
((EndIterationAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof AssessInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssessInceptionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("ProjectPlan"))
{
((AssessInceptionPhaseAction)action).addProjectPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof PlanForElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((PlanForElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((PlanForElaborationPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof EndInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((EndInceptionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((EndInceptionPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof BeginElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((BeginElaborationPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((AssignEmployeesToElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((MeetWithCustomerElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
if(partName.equals("Proj"))
{
((DevelopArchitecturalPrototypeAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("ArchPrototype"))
{
((DevelopArchitecturalPrototypeAction)action).addArchPrototype((Artifact)participants.elementAt(0));
}
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((MeetWithCustomerAgainElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
if(partName.equals("Proj"))
{
((DevelopArchitecturalPrototypeMoreAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prototype"))
{
((DevelopArchitecturalPrototypeMoreAction)action).addPrototype((Artifact)participants.elementAt(0));
}
}
else if(action instanceof AssessElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((AssessElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prototype"))
{
((AssessElaborationPhaseAction)action).addPrototype((Artifact)participants.elementAt(0));
}
}
else if(action instanceof PlanForConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((PlanForConstructionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((PlanForConstructionPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof EndElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((EndElaborationPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((EndElaborationPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof BeginConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginConstructionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((BeginConstructionPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssignEmployeesToConstructionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof DesignAndImplementComponentAction)
{
if(partName.equals("Proj"))
{
((DesignAndImplementComponentAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("CorrespondingUseCase"))
{
((DesignAndImplementComponentAction)action).addCorrespondingUseCase((Artifact)participants.elementAt(0));
}
}
else if(action instanceof IntegrateComponentAction)
{
if(partName.equals("Proj"))
{
((IntegrateComponentAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("CorrespondingUseCase"))
{
((IntegrateComponentAction)action).addCorrespondingUseCase((Artifact)participants.elementAt(0));
}
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
if(partName.equals("Proj"))
{
((TestFeaturesAndFixFaultsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("CorrespondingUseCase"))
{
((TestFeaturesAndFixFaultsAction)action).addCorrespondingUseCase((Artifact)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((TestFeaturesAndFixFaultsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SubmitFirstPrototypeAction)
{
if(partName.equals("Proj"))
{
((SubmitFirstPrototypeAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof SubmitSecondPrototypeAction)
{
if(partName.equals("Proj"))
{
((SubmitSecondPrototypeAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof DevelopUserManualsAction)
{
if(partName.equals("Proj"))
{
((DevelopUserManualsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Manuals"))
{
((DevelopUserManualsAction)action).addManuals((Artifact)participants.elementAt(0));
}
}
else if(action instanceof AssessConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssessConstructionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("UserManuals"))
{
((AssessConstructionPhaseAction)action).addUserManuals((Artifact)participants.elementAt(0));
}
}
else if(action instanceof PlanForTransitionPhaseAction)
{
if(partName.equals("Proj"))
{
((PlanForTransitionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((PlanForTransitionPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
else if(partName.equals("Manuals"))
{
((PlanForTransitionPhaseAction)action).addManuals((Artifact)participants.elementAt(0));
}
}
else if(action instanceof EndConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((EndConstructionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((EndConstructionPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof BeginTransitionPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginTransitionPhaseAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Plan"))
{
((BeginTransitionPhaseAction)action).addPlan((Artifact)participants.elementAt(0));
}
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("ToolToBuy"))
{
((PurchaseToolsAction)action).addToolToBuy((Tool)participants.elementAt(0));
}
else if(partName.equals("Proj"))
{
((PurchaseToolsAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof EndGameAction)
{
}
else if(action instanceof UpdateFirstPrototypeAttsAction)
{
if(partName.equals("Prototype"))
{
((UpdateFirstPrototypeAttsAction)action).addPrototype((Artifact)participants.elementAt(0));
}
else if(partName.equals("Proj"))
{
((UpdateFirstPrototypeAttsAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof UpdateSecondPrototypeAttsAction)
{
if(partName.equals("Prot"))
{
((UpdateSecondPrototypeAttsAction)action).addProt((Artifact)participants.elementAt(0));
}
else if(partName.equals("Proj"))
{
((UpdateSecondPrototypeAttsAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof FirstProtNotAcceptableLessThanFiveUCsAction)
{
if(partName.equals("Proj"))
{
((FirstProtNotAcceptableLessThanFiveUCsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstProtNotAcceptableLessThanFiveUCsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof FirstProtNotAcceptableMoreThanEightUCsAction)
{
if(partName.equals("Proj"))
{
((FirstProtNotAcceptableMoreThanEightUCsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstProtNotAcceptableMoreThanEightUCsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof FirstPrototypeAcceptableEightUseCasesAction)
{
if(partName.equals("Proj"))
{
((FirstPrototypeAcceptableEightUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstPrototypeAcceptableEightUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof FirstPrototypeAcceptableFiveUseCasesAction)
{
if(partName.equals("Proj"))
{
((FirstPrototypeAcceptableFiveUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstPrototypeAcceptableFiveUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof FirstPrototypeAcceptableSevenUseCasesAction)
{
if(partName.equals("Proj"))
{
((FirstPrototypeAcceptableSevenUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstPrototypeAcceptableSevenUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof FirstPrototypeAcceptableSixUseCasesAction)
{
if(partName.equals("Proj"))
{
((FirstPrototypeAcceptableSixUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstPrototypeAcceptableSixUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof FirstPrototypeNotAcceptableAction)
{
if(partName.equals("Proj"))
{
((FirstPrototypeNotAcceptableAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((FirstPrototypeNotAcceptableAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof InformCustomerWantsPrototypesAction)
{
if(partName.equals("Proj"))
{
((InformCustomerWantsPrototypesAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof RandomEventFourAction)
{
if(partName.equals("Proj"))
{
((RandomEventFourAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("UseCaseToRework"))
{
((RandomEventFourAction)action).addUseCaseToRework((Artifact)participants.elementAt(0));
}
}
else if(action instanceof RandomEventOneAction)
{
if(partName.equals("Proj"))
{
((RandomEventOneAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof RandomEventThreeAction)
{
if(partName.equals("Proj"))
{
((RandomEventThreeAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("TestedUseCase"))
{
((RandomEventThreeAction)action).addTestedUseCase((Artifact)participants.elementAt(0));
}
}
else if(action instanceof RandomEventTwoAction)
{
if(partName.equals("Proj"))
{
((RandomEventTwoAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("UseCase"))
{
((RandomEventTwoAction)action).addUseCase((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondProtNotAcceptableLessThanElevenUCsAction)
{
if(partName.equals("Proj"))
{
((SecondProtNotAcceptableLessThanElevenUCsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondProtNotAcceptableLessThanElevenUCsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondProtNotAcceptMoreThanFifteenUCsAction)
{
if(partName.equals("Proj"))
{
((SecondProtNotAcceptMoreThanFifteenUCsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondProtNotAcceptMoreThanFifteenUCsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondPrototypeAcceptableElevenUseCasesAction)
{
if(partName.equals("Proj"))
{
((SecondPrototypeAcceptableElevenUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondPrototypeAcceptableElevenUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondPrototypeAcceptableFifteenUseCasesAction)
{
if(partName.equals("Proj"))
{
((SecondPrototypeAcceptableFifteenUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondPrototypeAcceptableFifteenUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondPrototypeAcceptableFourteenUCsAction)
{
if(partName.equals("Proj"))
{
((SecondPrototypeAcceptableFourteenUCsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondPrototypeAcceptableFourteenUCsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondPrototypeAcceptableThirteenUCsAction)
{
if(partName.equals("Proj"))
{
((SecondPrototypeAcceptableThirteenUCsAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondPrototypeAcceptableThirteenUCsAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondPrototypeAcceptableTwelveUseCasesAction)
{
if(partName.equals("Proj"))
{
((SecondPrototypeAcceptableTwelveUseCasesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondPrototypeAcceptableTwelveUseCasesAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SecondPrototypeNotAcceptableAction)
{
if(partName.equals("Proj"))
{
((SecondPrototypeNotAcceptableAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prot"))
{
((SecondPrototypeNotAcceptableAction)action).addProt((Artifact)participants.elementAt(0));
}
}
else if(action instanceof SetEmployeeProductivitiesAction)
{
if(partName.equals("Proj"))
{
((SetEmployeeProductivitiesAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof UpdateMiscAttributesAction)
{
if(partName.equals("Proj"))
{
((UpdateMiscAttributesAction)action).addProj((Project)participants.elementAt(0));
}
else if(partName.equals("Prototype"))
{
((UpdateMiscAttributesAction)action).addPrototype((Artifact)participants.elementAt(0));
}
}
else if(action instanceof ActivateDeactiveFirstProtAction)
{
if(partName.equals("Prot"))
{
((ActivateDeactiveFirstProtAction)action).addProt((Artifact)participants.elementAt(0));
}
else if(partName.equals("Proj"))
{
((ActivateDeactiveFirstProtAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof ActivateDeactivateSecondProtAction)
{
if(partName.equals("Prot"))
{
((ActivateDeactivateSecondProtAction)action).addProt((Artifact)participants.elementAt(0));
}
else if(partName.equals("Proj"))
{
((ActivateDeactivateSecondProtAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof IdleEmployeeAction)
{
if(partName.equals("Proj"))
{
((IdleEmployeeAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof OverBudgetWarningAction)
{
if(partName.equals("Proj"))
{
((OverBudgetWarningAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof OverTimeWarningAction)
{
if(partName.equals("Proj"))
{
((OverTimeWarningAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof SuggestedInceptionPhaseDurationAction)
{
if(partName.equals("Proj"))
{
((SuggestedInceptionPhaseDurationAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof SuggestedElaborationPhaseDurationAction)
{
if(partName.equals("Proj"))
{
((SuggestedElaborationPhaseDurationAction)action).addProj((Project)participants.elementAt(0));
}
}
else if(action instanceof SuggestedConstructionPhaseDurationAction)
{
if(partName.equals("Proj"))
{
((SuggestedConstructionPhaseDurationAction)action).addProj((Project)participants.elementAt(0));
}
}
}
}

public void actionPerformed(ActionEvent evt)
{
Object source = evt.getSource();
if(source == cancelButton)
{
actionCancelled = true;
setVisible(false);
dispose();
}
else if(source == okButton)
{
Vector<JCheckBox> checkedBoxes = new Vector<JCheckBox>();
for(int i=0; i<checkBoxes.size(); i++)
{
JCheckBox tempCBox = checkBoxes.elementAt(i);
if(tempCBox.isSelected())
{
checkedBoxes.add(tempCBox);
}
}
if(checkedBoxes.size() < minNumParts)
{
JOptionPane.showMessageDialog(null, ("You must choose at least " + minNumParts + " participants"), "Invalid Input", JOptionPane.ERROR_MESSAGE);
}
else if(checkedBoxes.size() > maxNumParts)
{
JOptionPane.showMessageDialog(null, ("You may only choose at most " + maxNumParts + " participants"), "Invalid Input", JOptionPane.ERROR_MESSAGE);
}
else
{
for(int i=0; i<checkedBoxes.size(); i++)
{
JCheckBox checkedBox = checkedBoxes.elementAt(i);
String cBoxText = checkedBox.getText();
String objTypeName = cBoxText.substring(0, (cBoxText.indexOf('(') - 1));
String keyValStr = cBoxText.substring((cBoxText.indexOf('(') + 1), cBoxText.lastIndexOf(')'));

addParticipant(objTypeName, keyValStr);
}
setVisible(false);
dispose();
}
}
else if (source == checkAllButton) {
for (int i = 0; i < checkBoxes.size(); i++) {
checkBoxes.elementAt(i).setSelected(true);
}
}
else if (source == clearAllButton) {
for (int i = 0; i < checkBoxes.size(); i++) {
checkBoxes.elementAt(i).setSelected(false);}
}
}

private void addParticipant(String objTypeName, String keyValStr)
{
if(objTypeName.equals("SoftwareEngineer"))
{
SoftwareEngineer a = state.getEmployeeStateRepository().getSoftwareEngineerStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
((BeginInceptionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
((AssignEmployeesToInceptionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
((MeetWithCustomerInceptionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof StartIterationAction)
{
if(partName.equals("Emp"))
{
((StartIterationAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Emp"))
{
((EndIterationAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Emp"))
{
((EndIterationAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Emp"))
{
((EndIterationAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Emp"))
{
((EndIterationAction)action).addEmp((Employee)a);
}
}
else if(action instanceof AssessInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
((AssessInceptionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof PlanForElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((PlanForElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
((EndInceptionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof BeginElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((BeginElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((AssignEmployeesToElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((MeetWithCustomerElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
if(partName.equals("Emp"))
{
((DevelopArchitecturalPrototypeAction)action).addEmp((Employee)a);
}
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((MeetWithCustomerAgainElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
if(partName.equals("Emp"))
{
((DevelopArchitecturalPrototypeMoreAction)action).addEmp((Employee)a);
}
}
else if(action instanceof AssessElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((AssessElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof PlanForConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
((PlanForConstructionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
((EndElaborationPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof BeginConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
((BeginConstructionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
((AssignEmployeesToConstructionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof DesignAndImplementComponentAction)
{
if(partName.equals("Emp"))
{
((DesignAndImplementComponentAction)action).addEmp((Employee)a);
}
}
else if(action instanceof IntegrateComponentAction)
{
if(partName.equals("Emp"))
{
((IntegrateComponentAction)action).addEmp((Employee)a);
}
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
if(partName.equals("Emp"))
{
((TestFeaturesAndFixFaultsAction)action).addEmp((Employee)a);
}
}
else if(action instanceof SubmitFirstPrototypeAction)
{
if(partName.equals("Emp"))
{
((SubmitFirstPrototypeAction)action).addEmp((Employee)a);
}
}
else if(action instanceof SubmitSecondPrototypeAction)
{
if(partName.equals("Emp"))
{
((SubmitSecondPrototypeAction)action).addEmp((Employee)a);
}
}
else if(action instanceof DevelopUserManualsAction)
{
if(partName.equals("Emp"))
{
((DevelopUserManualsAction)action).addEmp((Employee)a);
}
}
else if(action instanceof AssessConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
((AssessConstructionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof PlanForTransitionPhaseAction)
{
if(partName.equals("Emp"))
{
((PlanForTransitionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof EndConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
((EndConstructionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof BeginTransitionPhaseAction)
{
if(partName.equals("Emp"))
{
((BeginTransitionPhaseAction)action).addEmp((Employee)a);
}
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("Emp"))
{
((PurchaseToolsAction)action).addEmp((Employee)a);
}
}
}
}
else if(objTypeName.equals("PhasePlan"))
{
PhasePlan a = state.getArtifactStateRepository().getPhasePlanStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
if(partName.equals("Plan"))
{
((PlanForElaborationPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof EndInceptionPhaseAction)
{
if(partName.equals("Plan"))
{
((EndInceptionPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof BeginElaborationPhaseAction)
{
if(partName.equals("Plan"))
{
((BeginElaborationPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
if(partName.equals("Plan"))
{
((PlanForConstructionPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof EndElaborationPhaseAction)
{
if(partName.equals("Plan"))
{
((EndElaborationPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof BeginConstructionPhaseAction)
{
if(partName.equals("Plan"))
{
((BeginConstructionPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
if(partName.equals("Plan"))
{
((PlanForTransitionPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof EndConstructionPhaseAction)
{
if(partName.equals("Plan"))
{
((EndConstructionPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof BeginTransitionPhaseAction)
{
if(partName.equals("Plan"))
{
((BeginTransitionPhaseAction)action).addPlan((Artifact)a);
}
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
else if(objTypeName.equals("ProjectPlan"))
{
ProjectPlan a = state.getArtifactStateRepository().getProjectPlanStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
if(partName.equals("ProjectPlan"))
{
((MeetWithCustomerInceptionPhaseAction)action).addProjectPlan((Artifact)a);
}
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
if(partName.equals("ProjectPlan"))
{
((AssessInceptionPhaseAction)action).addProjectPlan((Artifact)a);
}
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
else if(objTypeName.equals("ArchitecturalPrototype"))
{
ArchitecturalPrototype a = state.getArtifactStateRepository().getArchitecturalPrototypeStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
if(partName.equals("ArchPrototype"))
{
((DevelopArchitecturalPrototypeAction)action).addArchPrototype((Artifact)a);
}
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
if(partName.equals("Prototype"))
{
((DevelopArchitecturalPrototypeMoreAction)action).addPrototype((Artifact)a);
}
}
else if(action instanceof AssessElaborationPhaseAction)
{
if(partName.equals("Prototype"))
{
((AssessElaborationPhaseAction)action).addPrototype((Artifact)a);
}
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
else if(objTypeName.equals("UseCase"))
{
try
{
UseCase a = state.getArtifactStateRepository().getUseCaseStateRepository().get((new Integer(keyValStr)).intValue());
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
if(partName.equals("CorrespondingUseCase"))
{
((DesignAndImplementComponentAction)action).addCorrespondingUseCase((Artifact)a);
}
}
else if(action instanceof IntegrateComponentAction)
{
if(partName.equals("CorrespondingUseCase"))
{
((IntegrateComponentAction)action).addCorrespondingUseCase((Artifact)a);
}
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
if(partName.equals("CorrespondingUseCase"))
{
((TestFeaturesAndFixFaultsAction)action).addCorrespondingUseCase((Artifact)a);
}
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
catch(NumberFormatException e)
{
System.out.println(e);
}
}
else if(objTypeName.equals("Prototype"))
{
Prototype a = state.getArtifactStateRepository().getPrototypeStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
if(partName.equals("Prot"))
{
((TestFeaturesAndFixFaultsAction)action).addProt((Artifact)a);
}
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
else if(objTypeName.equals("UserManuals"))
{
UserManuals a = state.getArtifactStateRepository().getUserManualsStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
if(partName.equals("Manuals"))
{
((StartIterationAction)action).addManuals((Artifact)a);
}
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
if(partName.equals("Manuals"))
{
((DevelopUserManualsAction)action).addManuals((Artifact)a);
}
}
else if(action instanceof AssessConstructionPhaseAction)
{
if(partName.equals("UserManuals"))
{
((AssessConstructionPhaseAction)action).addUserManuals((Artifact)a);
}
}
else if(action instanceof PlanForTransitionPhaseAction)
{
if(partName.equals("Manuals"))
{
((PlanForTransitionPhaseAction)action).addManuals((Artifact)a);
}
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
else if(objTypeName.equals("SoftwareProject"))
{
SoftwareProject a = state.getProjectStateRepository().getSoftwareProjectStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginInceptionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssignEmployeesToInceptionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((MeetWithCustomerInceptionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof StartIterationAction)
{
if(partName.equals("Proj"))
{
((StartIterationAction)action).addProj((Project)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Proj"))
{
((EndIterationAction)action).addProj((Project)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Proj"))
{
((EndIterationAction)action).addProj((Project)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Proj"))
{
((EndIterationAction)action).addProj((Project)a);
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Proj"))
{
((EndIterationAction)action).addProj((Project)a);
}
}
else if(action instanceof AssessInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssessInceptionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof PlanForElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((PlanForElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof EndInceptionPhaseAction)
{
if(partName.equals("Proj"))
{
((EndInceptionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof BeginElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((AssignEmployeesToElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((MeetWithCustomerElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
if(partName.equals("Proj"))
{
((DevelopArchitecturalPrototypeAction)action).addProj((Project)a);
}
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((MeetWithCustomerAgainElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
if(partName.equals("Proj"))
{
((DevelopArchitecturalPrototypeMoreAction)action).addProj((Project)a);
}
}
else if(action instanceof AssessElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((AssessElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof PlanForConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((PlanForConstructionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof EndElaborationPhaseAction)
{
if(partName.equals("Proj"))
{
((EndElaborationPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof BeginConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginConstructionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssignEmployeesToConstructionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof DesignAndImplementComponentAction)
{
if(partName.equals("Proj"))
{
((DesignAndImplementComponentAction)action).addProj((Project)a);
}
}
else if(action instanceof IntegrateComponentAction)
{
if(partName.equals("Proj"))
{
((IntegrateComponentAction)action).addProj((Project)a);
}
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
if(partName.equals("Proj"))
{
((TestFeaturesAndFixFaultsAction)action).addProj((Project)a);
}
}
else if(action instanceof SubmitFirstPrototypeAction)
{
if(partName.equals("Proj"))
{
((SubmitFirstPrototypeAction)action).addProj((Project)a);
}
}
else if(action instanceof SubmitSecondPrototypeAction)
{
if(partName.equals("Proj"))
{
((SubmitSecondPrototypeAction)action).addProj((Project)a);
}
}
else if(action instanceof DevelopUserManualsAction)
{
if(partName.equals("Proj"))
{
((DevelopUserManualsAction)action).addProj((Project)a);
}
}
else if(action instanceof AssessConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((AssessConstructionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof PlanForTransitionPhaseAction)
{
if(partName.equals("Proj"))
{
((PlanForTransitionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof EndConstructionPhaseAction)
{
if(partName.equals("Proj"))
{
((EndConstructionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof BeginTransitionPhaseAction)
{
if(partName.equals("Proj"))
{
((BeginTransitionPhaseAction)action).addProj((Project)a);
}
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("Proj"))
{
((PurchaseToolsAction)action).addProj((Project)a);
}
}
}
}
else if(objTypeName.equals("RequirementsTool"))
{
RequirementsTool a = state.getToolStateRepository().getRequirementsToolStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("ToolToBuy"))
{
((PurchaseToolsAction)action).addToolToBuy((Tool)a);
}
}
}
}
else if(objTypeName.equals("DesignTool"))
{
DesignTool a = state.getToolStateRepository().getDesignToolStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("ToolToBuy"))
{
((PurchaseToolsAction)action).addToolToBuy((Tool)a);
}
}
}
}
else if(objTypeName.equals("ImplementationTool"))
{
ImplementationTool a = state.getToolStateRepository().getImplementationToolStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("ToolToBuy"))
{
((PurchaseToolsAction)action).addToolToBuy((Tool)a);
}
}
}
}
else if(objTypeName.equals("ConfigurationManagementTool"))
{
ConfigurationManagementTool a = state.getToolStateRepository().getConfigurationManagementToolStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("ToolToBuy"))
{
((PurchaseToolsAction)action).addToolToBuy((Tool)a);
}
}
}
}
else if(objTypeName.equals("TestingTool"))
{
TestingTool a = state.getToolStateRepository().getTestingToolStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("ToolToBuy"))
{
((PurchaseToolsAction)action).addToolToBuy((Tool)a);
}
}
}
}
else if(objTypeName.equals("TheCustomer"))
{
TheCustomer a = state.getCustomerStateRepository().getTheCustomerStateRepository().get(keyValStr);
if(a != null)
{
if(action instanceof BeginInceptionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
}
else if(action instanceof StartIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof EndIterationAction)
{
}
else if(action instanceof AssessInceptionPhaseAction)
{
}
else if(action instanceof PlanForElaborationPhaseAction)
{
}
else if(action instanceof EndInceptionPhaseAction)
{
}
else if(action instanceof BeginElaborationPhaseAction)
{
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
}
else if(action instanceof AssessElaborationPhaseAction)
{
}
else if(action instanceof PlanForConstructionPhaseAction)
{
}
else if(action instanceof EndElaborationPhaseAction)
{
}
else if(action instanceof BeginConstructionPhaseAction)
{
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
}
else if(action instanceof DesignAndImplementComponentAction)
{
}
else if(action instanceof IntegrateComponentAction)
{
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
}
else if(action instanceof SubmitFirstPrototypeAction)
{
}
else if(action instanceof SubmitSecondPrototypeAction)
{
}
else if(action instanceof DevelopUserManualsAction)
{
}
else if(action instanceof AssessConstructionPhaseAction)
{
}
else if(action instanceof PlanForTransitionPhaseAction)
{
}
else if(action instanceof EndConstructionPhaseAction)
{
}
else if(action instanceof BeginTransitionPhaseAction)
{
}
else if(action instanceof PurchaseToolsAction)
{
}
}
}
}

private void setMinAndMax()
{
if(action instanceof BeginInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof AssignEmployeesToInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof MeetWithCustomerInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("ProjectPlan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof StartIterationAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Manuals"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof EndIterationAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof AssessInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("ProjectPlan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof PlanForElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof EndInceptionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof BeginElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof AssignEmployeesToElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof MeetWithCustomerElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof DevelopArchitecturalPrototypeAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("ArchPrototype"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof MeetWithCustomerAgainElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof DevelopArchitecturalPrototypeMoreAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prototype"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof AssessElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prototype"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof PlanForConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof EndElaborationPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof BeginConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof AssignEmployeesToConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof DesignAndImplementComponentAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("CorrespondingUseCase"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof IntegrateComponentAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("CorrespondingUseCase"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof TestFeaturesAndFixFaultsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("CorrespondingUseCase"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SubmitFirstPrototypeAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SubmitSecondPrototypeAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof DevelopUserManualsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Manuals"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof AssessConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("UserManuals"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof PlanForTransitionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Manuals"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof EndConstructionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof BeginTransitionPhaseAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Plan"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof PurchaseToolsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("ToolToBuy"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof EndGameAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof UpdateFirstPrototypeAttsAction)
{
if(partName.equals("Prototype"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof UpdateSecondPrototypeAttsAction)
{
if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstProtNotAcceptableLessThanFiveUCsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstProtNotAcceptableMoreThanEightUCsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstPrototypeAcceptableEightUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstPrototypeAcceptableFiveUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstPrototypeAcceptableSevenUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstPrototypeAcceptableSixUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof FirstPrototypeNotAcceptableAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof InformCustomerWantsPrototypesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof RandomEventFourAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("UseCaseToRework"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof RandomEventOneAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof RandomEventThreeAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("TestedUseCase"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof RandomEventTwoAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("UseCase"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondProtNotAcceptableLessThanElevenUCsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondProtNotAcceptMoreThanFifteenUCsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondPrototypeAcceptableElevenUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondPrototypeAcceptableFifteenUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondPrototypeAcceptableFourteenUCsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondPrototypeAcceptableThirteenUCsAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondPrototypeAcceptableTwelveUseCasesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SecondPrototypeNotAcceptableAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof SetEmployeeProductivitiesAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof UpdateMiscAttributesAction)
{
if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
else if(partName.equals("Prototype"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof ActivateDeactiveFirstProtAction)
{
if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof ActivateDeactivateSecondProtAction)
{
if(partName.equals("Prot"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof IdleEmployeeAction)
{
if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
}
else if(action instanceof OverBudgetWarningAction)
{
if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
}
else if(action instanceof OverTimeWarningAction)
{
if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
}
else if(action instanceof SuggestedInceptionPhaseDurationAction)
{
if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
}
else if(action instanceof SuggestedElaborationPhaseDurationAction)
{
if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
}
else if(action instanceof SuggestedConstructionPhaseDurationAction)
{
if(partName.equals("Proj"))
{
minNumParts = 1;
maxNumParts = 1;
}
else if(partName.equals("Emp"))
{
minNumParts = 1;
maxNumParts = 999999;
}
}
}
public boolean actionCancelled()
{
return actionCancelled;
}

public class ExitListener extends WindowAdapter {
public void windowClosing(WindowEvent event) {
actionCancelled = true;
}
}
}
